@c -*- coding: utf-8; mode: texinfo; -*-

@ignore

(I'd rather have the below in the CG.  -gp)
NOTE:

  * avoid "HERE" as name for links, use descriptive link names like
  @uref{,Download LilyPond 2.5.16}

  * avoid putting links in running text. They make text harder to read.
  Preferably: (@uref{,...}, etc. )

  * use a descriptive title in @subheading

  * writing date in "Month DD, YYYY" format is required for
  generating the RSS feed; in case the message (and thus the date)
  is not in English, you must write a well-formed date in English
  like above in a comment between the closing brace of @emph and the
  following line
  (see "Japanese translation" below for an example).

  * Split news items in small chunks. It's OK to have more than 1 item
  on one day.

  * don't duplicate entries from news-new.itexi
@end ignore

@newsItem
@subheading LilyPond 2.25.80 released  @emph{March 22, 2026}

We are happy to announce the release of LilyPond 2.25.80. This is
the first release candidate towards the next stable version 2.26.0
expected in April. Please test your scores with this version and
report back the experience as well as any problems you encounter.

@newsEnd

@newsItem
@subheading LilyPond 2.25.35 released  @emph{March 7, 2026}

We are happy to announce the release of LilyPond 2.25.35. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.34 released  @emph{February 21, 2026}

We are happy to announce the release of LilyPond 2.25.34. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.33 released  @emph{February 7, 2026}

We are happy to announce the release of LilyPond 2.25.33. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.32 released  @emph{January 17, 2026}

We are happy to announce the release of LilyPond 2.25.32. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.31 released  @emph{December 6, 2025}

We are happy to announce the release of LilyPond 2.25.31. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.30 released  @emph{November 2, 2025}

We are happy to announce the release of LilyPond 2.25.30. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.29 released  @emph{September 27, 2025}

We are happy to announce the release of LilyPond 2.25.29. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.28 released  @emph{August 23, 2025}

We are happy to announce the release of LilyPond 2.25.28. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.27 released  @emph{July 20, 2025}

We are happy to announce the release of LilyPond 2.25.27. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.26 released  @emph{May 3, 2025}

We are happy to announce the release of LilyPond 2.25.26. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.25 released  @emph{March 23, 2025}

We are happy to announce the release of LilyPond 2.25.25. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.24 released  @emph{February 8, 2025}

We are happy to announce the release of LilyPond 2.25.24. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.23 released  @emph{January 12, 2025}

We are happy to announce the release of LilyPond 2.25.23. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.22 released  @emph{November 30, 2024}

We are happy to announce the release of LilyPond 2.25.22. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.21 released  @emph{October 27, 2024}

We are happy to announce the release of LilyPond 2.25.21. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.20 released  @emph{September 29, 2024}

We are happy to announce the release of LilyPond 2.25.20. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.19 released  @emph{August 24, 2024}

We are happy to announce the release of LilyPond 2.25.19. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.4, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.24.4 released!  @emph{July 21, 2024}

We are proud to announce the release of GNU LilyPond 2.24.4. LilyPond is a
music engraving program devoted to producing the highest-quality sheet music
possible. It brings the aesthetics of traditionally engraved music to computer
printouts.

This version contains a number of fixes since the release of the previous
stable version in November 2023. We recommend all users to update.
Scores converted to or written for 2.24.0 will continue to work with this
release. A list of added features and other user-visible changes for 2.24
can be found at @uref{https://lilypond.org/doc/v2.24/Documentation/changes/}.
Among others, version 2.24.0 switched to Guile 2.2 and features a completely
rewritten infrastructure for creating the official packages, finally allowing
us to offer 64-bit binaries for macOS and Windows.

For distributions, Guile 3.0 is officially supported since the previous
LilyPond 2.24.3, even though the recommended version will remain Guile 2.2
for the LilyPond 2.24 series.

@newsEnd

@newsItem
@subheading LilyPond 2.25.18 released  @emph{July 14, 2024}

We are happy to announce the release of LilyPond 2.25.18. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.3, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.17 released  @emph{June 15, 2024}

We are happy to announce the release of LilyPond 2.25.17. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.3, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.16 released  @emph{May 12, 2024}

We are happy to announce the release of LilyPond 2.25.16. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.3, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.15 released  @emph{April 20, 2024}

We are happy to announce the release of LilyPond 2.25.15. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.3, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.14 released  @emph{March 23, 2024}

We are happy to announce the release of LilyPond 2.25.14. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.3, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.13 released  @emph{Feburary 10, 2024}

We are happy to announce the release of LilyPond 2.25.13. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.3, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.12 released  @emph{January 7, 2024}

We are happy to announce the release of LilyPond 2.25.12. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.3, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.11 released  @emph{December 10, 2023}

We are happy to announce the release of LilyPond 2.25.11. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.3, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.24.3 released!  @emph{November 19, 2023}

We are proud to announce the release of GNU LilyPond 2.24.3. LilyPond is a
music engraving program devoted to producing the highest-quality sheet music
possible. It brings the aesthetics of traditionally engraved music to computer
printouts.

This version contains a number of fixes since the release of the previous
stable version in August 2023. We recommend all users to update.
Scores converted to or written for 2.24.0 will continue to work with this
release. A list of added features and other user-visible changes for 2.24
can be found at @uref{https://lilypond.org/doc/v2.24/Documentation/changes/}.
Among others, version 2.24.0 switched to Guile 2.2 and features a completely
rewritten infrastructure for creating the official packages, finally allowing
us to offer 64-bit binaries for macOS and Windows.

For distributions, LilyPond 2.24.3 most notably includes a fix to restore PDF
conversion with the recent Ghostscript 10.02.1. Also Guile 3.0 is now officially
supported, even though the recommended version will remain Guile 2.2 for the
LilyPond 2.24 series.

@newsEnd

@newsItem
@subheading LilyPond 2.25.10 released  @emph{November 11, 2023}

We are happy to announce the release of LilyPond 2.25.10. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.2, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.9 released  @emph{October 7, 2023}

We are happy to announce the release of LilyPond 2.25.9. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.2, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.8 released  @emph{September 16, 2023}

We are happy to announce the release of LilyPond 2.25.8. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.2, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.24.2 released!  @emph{August 12, 2023}

We are proud to announce the release of GNU LilyPond 2.24.2. LilyPond is a
music engraving program devoted to producing the highest-quality sheet music
possible. It brings the aesthetics of traditionally engraved music to computer
printouts.

This version contains a number of fixes since the release of the previous
stable version in February 2023. This includes an update of the library for
garbage collection, addressing crashes when compiling very large scores
(several hundreds of pages) on Windows. We recommend all users to update.
Scores converted to or written for 2.24.0 will continue to work with this
release. A list of added features and other user-visible changes for 2.24
can be found at @uref{https://lilypond.org/doc/v2.24/Documentation/changes/}.
Among others, version 2.24.0 switched to Guile 2.2 and features a completely
rewritten infrastructure for creating the official packages, finally allowing
us to offer 64-bit binaries for macOS and Windows.

@newsEnd

@newsItem
@subheading LilyPond 2.25.7 released  @emph{July 30, 2023}

We are happy to announce the release of LilyPond 2.25.7. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.1, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.6 released  @emph{June 24, 2023}

We are happy to announce the release of LilyPond 2.25.6. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.1, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.5 released  @emph{May 21, 2023}

We are happy to announce the release of LilyPond 2.25.5. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.1, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.4 released  @emph{April 22, 2023}

We are happy to announce the release of LilyPond 2.25.4. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.1, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.3 released  @emph{April 1, 2023}

We are happy to announce the release of LilyPond 2.25.3. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.1, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.2 released  @emph{February 18, 2023}

We are happy to announce the release of LilyPond 2.25.2. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.1, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.24.1 released!  @emph{February 12, 2023}

We are proud to announce the release of GNU LilyPond 2.24.1. LilyPond is a
music engraving program devoted to producing the highest-quality sheet music
possible. It brings the aesthetics of traditionally engraved music to computer
printouts.

This version includes a number of fixes since the release of the previous
stable version in December 2022, and we recommend all users to update.
Scores converted to or written for 2.24.0 will continue to work with this
release. A list of added features and other user-visible changes for 2.24
can be found at @uref{https://lilypond.org/doc/v2.24/Documentation/changes/}.
Among others, version 2.24.0 switched to Guile 2.2 and features a completely
rewritten infrastructure for creating the official packages, finally allowing
us to offer 64-bit binaries for macOS and Windows.

@newsEnd

@newsItem
@subheading LilyPond 2.25.1 released  @emph{January 21, 2023}

We are happy to announce the release of LilyPond 2.25.1. This is
termed a development release, but these are usually reliable for
testing new features and recent bug fixes. However, if you require
stability, we recommend using version 2.24.0, the current stable
release.

@newsEnd

@newsItem
@subheading LilyPond 2.25.0 released  @emph{December 23, 2022}

We are happy to announce the release of LilyPond 2.25.0, the start
of the next development cycle. This is termed a development release,
but these are usually reliable for testing new features and recent
bug fixes. However, if you require stability, we recommend using
version 2.24.0, the current stable release.

@newsEnd

@newsItem
@subheading LilyPond 2.24.0 released!  @emph{December 15, 2022}

We are proud to announce the release of GNU LilyPond 2.24.0. LilyPond is a
music engraving program devoted to producing the highest-quality sheet music
possible. It brings the aesthetics of traditionally engraved music to computer
printouts.

This version includes improvements and fixes since the branching of the
previous stable release in October 2020. A list of added features and
other user-visible changes can be found at
@uref{https://lilypond.org/doc/v2.24/Documentation/changes/}.
This release switches to Guile 2.2 and features a completely rewritten
infrastructure for creating the official packages, finally allowing us
to offer 64-bit binaries for macOS and Windows.

@newsEnd

@newsItem
@subheading LilyPond 2.23.82 released  @emph{November 27, 2022}

We are happy to announce the release of LilyPond 2.23.82. This is the third
release candidate towards the next stable version 2.24.0 expected in December.
Please test your scores with this version and report back the experience as
well as any problems you encounter.

@newsEnd

@newsItem
@subheading LilyPond 2.23.81 released  @emph{November 13, 2022}

We are happy to announce the release of LilyPond 2.23.81. This is the second
release candidate towards the next stable version 2.24.0 expected in December.
Please test your scores with this version and report back the experience as
well as any problems you encounter.

@newsEnd

@newsItem
@subheading LilyPond 2.23.80 released  @emph{October 22, 2022}

We are happy to announce the release of LilyPond 2.23.80. This is the first
release candidate towards the next stable version 2.24.0 expected in December.
Please test your scores with this version and report back the experience as
well as any problems you encounter.

@newsEnd

@newsItem
@subheading LilyPond 2.23.14 released  @emph{October 9, 2022}

We are happy to announce the release of LilyPond 2.23.14. This is termed a
development release, but these are usually reliable. However, if you require
stability, we recommend using version 2.22.2, the current stable release.

@newsEnd

@newsItem
@subheading LilyPond 2.23.13 released  @emph{September 18, 2022}

We are happy to announce the release of LilyPond 2.23.13. This is termed a
development release, but these are usually reliable. However, if you require
stability, we recommend using version 2.22.2, the current stable release.

@newsEnd

@newsItem
@subheading LilyPond 2.23.12 released  @emph{August 23, 2022}

We are happy to announce the release of LilyPond 2.23.12. This is termed a
development release, but these are usually reliable. However, if you require
stability, we recommend using version 2.22.2, the current stable release.

@newsEnd

@newsItem
@subheading LilyPond 2.23.11 released  @emph{July 24, 2022}

We are happy to announce the release of LilyPond 2.23.11. This is termed a
development release, but these are usually reliable. However, if you require
stability, we recommend using version 2.22.2, the current stable release.

@newsEnd

@newsItem
@subheading LilyPond 2.23.10 released  @emph{June 26, 2022}

We are happy to announce the release of LilyPond 2.23.10. This is termed a
development release, but these are usually reliable. However, if you require
stability, we recommend using version 2.22.2, the current stable release.

@newsEnd

@newsItem
@subheading LilyPond 2.23.9 released  @emph{May 20, 2022}

We are happy to announce the release of LilyPond 2.23.9. This is termed a
development release, but these are usually reliable. However, if you require
stability, we recommend using version 2.22.2, the current stable release.

@newsEnd

@newsItem
@subheading LilyPond 2.23.8 released  @emph{April 24, 2022}

We are happy to announce the release of LilyPond 2.23.8. This is termed a
development release, but these are usually reliable. If you want to use the
current stable version of LilyPond, we recommend using the 2.22.2 version.

In this release, dropping Guile 1.8 support has finally become
possible also for our sources.  We'd like to dedicate this release
to Ian Hulin who was one of the first systematically working on
our numerous roadblocks for Guile 2 migration after tackling a few
other high-level problems.  In the time spans where his health
permitted it, he was able to significantly reduce the amount of
remaining problems for the Guile 2 migration after having started
working on them in 2010, making the goal that we finally reached
now more tangible for others to work on after he left us in 2015.

@newsEnd

@newsItem
@subheading LilyPond 2.23.7 released  @emph{March 26, 2022}

We are happy to announce the release of LilyPond 2.23.7. This is termed a
development release, but these are usually reliable. If you want to use the
current stable version of LilyPond, we recommend using the 2.22.2 version.

@newsEnd

@newsItem
@subheading LilyPond 2.22.2 released!  @emph{February 22, 2022}

We are proud to announce the release of GNU LilyPond 2.22.2 on 2-22-22. LilyPond
is a music engraving program devoted to producing the highest-quality sheet
music possible. It brings the aesthetics of traditionally engraved music to
computer printouts.

This version includes improvements and fixes since the release of the
previous stable release in April 2021.

@newsEnd

@newsItem
@subheading LilyPond 2.23.6 released  @emph{February 06, 2022}

We are happy to announce the release of LilyPond 2.23.6. This is termed a
development release, but these are usually reliable. If you want to use the
current stable version of LilyPond, we recommend using the 2.22.1 version.

@newsEnd

@newsItem
@subheading LilyPond 2.23.5 released  @emph{November 28, 2021}

We are happy to announce the release of LilyPond 2.23.5. This is termed a 
development release, but these are usually reliable. If you want to use the 
current stable version of LilyPond, we recommend using the 2.22.1 version. 

@newsEnd

@newsItem
@subheading LilyPond 2.23.4 released  @emph{October 10, 2021}

We are happy to announce the release of LilyPond 2.23.4. This is termed a 
development release, but these are usually reliable. If you want to use the 
current stable version of LilyPond, we recommend using the 2.22.1 version. 

@newsEnd

@newsItem
@subheading LilyPond 2.23.3 released  @emph{July 4, 2021}

We are happy to announce the release of LilyPond 2.23.3. This is termed a 
development release, but these are usually reliable. If you want to use the 
current stable version of LilyPond, we recommend using the 2.22.1 version. 

@newsEnd

@newsItem
@subheading LilyPond 2.22.1 released!  @emph{April 25, 2021}

We are proud to announce the release of GNU LilyPond 2.22.1. LilyPond is a
music engraving program devoted to producing the highest-quality sheet music
possible. It brings the aesthetics of traditionally engraved music to computer
printouts.

This version includes improvements and fixes since the release of the
previous stable release in January 2021.

@newsEnd

@newsItem
@subheading LilyPond 2.23.2 released  @emph{April 11, 2021}

We are happy to announce the release of LilyPond 2.23.2. This is termed a 
development release, but these are usually reliable. If you want to use the 
current stable version of LilyPond, we recommend using the 2.22.0 version. 

@newsEnd

@newsItem
@subheading LilyPond 2.23.1 released  @emph{March 23, 2021}

We are happy to announce the release of LilyPond 2.23.1. This is termed a 
development release, but these are usually reliable. If you want to use the 
current stable version of LilyPond, we recommend using the 2.22.0 version. 

@newsEnd

@newsItem
@subheading LilyPond 2.23.0 released  @emph{January 24, 2021}

We are happy to announce the release of LilyPond 2.23.0. This is termed a 
development release, but these are usually reliable. If you want to use the 
current stable version of LilyPond, we recommend using the 2.22.0 version. 

@newsEnd

@newsItem
@subheading LilyPond 2.22.0 released!  @emph{January 10, 2021}

We are proud to announce the release of GNU LilyPond 2.22.0. LilyPond is a 
music engraving program devoted to producing the highest-quality sheet music 
possible. It brings the aesthetics of traditionally engraved music to computer 
printouts.

This version includes improvements and fixes since the branching of the 
previous stable release in August 2017 (even though the final 2.20.0 was 
only released in March 2020). A list of added features and other user-visible 
changes can be found at @uref{https://lilypond.org/doc/v2.22/Documentation/changes/}
Behind the scenes, this release switches to Python 3 and includes a number of 
performance improvements that should be noticeable for larger scores.

@newsEnd

@newsItem
@subheading LilyPond 2.21.82 released  @emph{December 14, 2020}

We are happy to announce the release of LilyPond
2.21.82.  This is a further pre-release test version, but these are usually
reliable.  We encourage all users and developers to download this
version to test it to allow us to release a new stable version.
If you want to use the current stable version of LilyPond,
we recommend using the 2.20.0 version.

@newsEnd

@newsItem
@subheading LilyPond 2.21.81 released  @emph{November 29, 2020}

We are happy to announce the release of LilyPond
2.21.81.  This is a further pre-release test version, but these are usually
reliable.  We encourage all users and developers to download this
version to test it to allow us to release a new stable version.
If you want to use the current stable version of LilyPond,
we recommend using the 2.20.0 version.

@newsEnd

@newsItem
@subheading LilyPond 2.21.80 released  @emph{November 1, 2020}

We are happy to announce the release of LilyPond
2.21.80.  This is a pre-release test version, but these are usually
reliable.  We encourage all users and developers to download this
version to test it.
If you want to use the latest stable version of LilyPond,
we recommend using the 2.20.0 version.

@newsEnd

@newsItem
@subheading LilyPond 2.21.7 released  @emph{October 11, 2020}

We are happy to announce the release of LilyPond
2.21.7.  This is a development version, but these are usually
reliable.  If you want to use the latest stable version of LilyPond,
we recommend using the 2.20.0 version.

@newsEnd

@newsItem
@subheading LilyPond 2.21.6 released  @emph{September 13, 2020}

We are happy to announce the release of LilyPond
2.21.6.  This is a development version, but these are usually
reliable.  If you want to use the latest stable version of LilyPond,
we recommend using the 2.20.0 version.

@newsEnd

@newsItem
@subheading LilyPond 2.21.5 released  @emph{August 16, 2020}

We are happy to announce the release of LilyPond
2.21.5.  This is a development version, but these are usually
reliable.  If you want to use the latest stable version of LilyPond,
we recommend using the 2.20.0 version.

@newsEnd

@newsItem
@subheading LilyPond 2.21.4 released  @emph{July 28, 2020}

We are happy to announce the release of LilyPond
2.21.4.  This is a development version, but these are usually
reliable.  If you want to use the latest stable version of LilyPond,
we recommend using the 2.20.0 version.

@newsEnd

@subheading LilyPond 2.21.3 released  @emph{July 12, 2020}

We are happy to announce the release of LilyPond
2.21.3.  This is a development version, but these are usually
reliable.  If you want to use the latest stable version of LilyPond,
we recommend using the 2.20.0 version.

@newsEnd

@newsItem
@subheading LilyPond 2.21.2 released  @emph{June 21, 2020}

We are happy to announce the release of LilyPond
2.21.2.  This is a development version, but these are usually
reliable.  If you want to use the latest stable version of LilyPond,
we recommend using the 2.20.0 version.

@newsEnd

@newsItem
@subheading LilyPond 2.21.1 released  @emph{April 28, 2020}

We are happy to announce the release of LilyPond
2.21.1.  This is a development version, but these are usually
reliable.  If you want to use the latest stable version of LilyPond,
we recommend using the 2.20.0 version.

@newsEnd

@newsItem
@subheading LilyPond 2.21.0 released  @emph{April 9, 2020}

We are happy to announce the release of LilyPond
2.21.0.  If you want to use the latest stable version of LilyPond,
we recommend using the 2.20.0 version.

@newsEnd

@newsItem
@subheading LilyPond 2.20.0 released!  @emph{March 1, 2020}

We are proud to announce the release of GNU LilyPond 2.20.0.
LilyPond is a music engraving program devoted to producing the
highest-quality sheet music possible.  It brings the aesthetics of
traditionally engraved music to computer printouts.

This version provides a number of updates, including
updated manuals.  We recommend all users to upgrade to this version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.84 released  @emph{February 4, 2020}
 
We are happy to announce the release of LilyPond
2.19.84.  This release is the final pre-release test version
for the upcoming stable 2.20 release.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.83 released  @emph{October 16, 2018}

We are happy to announce the release of LilyPond
2.19.83.  This release is a further pre-release test version
for the upcoming stable 2.20 release.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.82 released  @emph{June 24, 2018}

We are happy to announce the release of LilyPond
2.19.82.  This release is a further pre-release test version
for the upcoming stable 2.20 release.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.81 released  @emph{January 28, 2018}

We are happy to announce the release of LilyPond
2.19.81.  This release is a further pre-release test version
for the upcoming stable 2.20 release.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.80 released  @emph{October 14, 2017}

We are happy to announce the release of LilyPond
2.19.80.  This release is a pre-release test version for the upcoming
stable 2.20 release.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.65 released  @emph{August 06, 2017}

We are happy to announce the release of LilyPond
2.19.65.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.64 released  @emph{July 15, 2017}

We are happy to announce the release of LilyPond
2.19.64.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.63 released  @emph{June 28, 2017}

We are happy to announce the release of LilyPond
2.19.63.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.62 released  @emph{June 10, 2017}

We are happy to announce the release of LilyPond
2.19.62.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.61 released  @emph{May 21, 2017}

We are happy to announce the release of LilyPond
2.19.61.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.60 released  @emph{May 08, 2017}

We are happy to announce the release of LilyPond
2.19.60.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.59 released  @emph{April 09, 2017}

We are happy to announce the release of LilyPond
2.19.59.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.58 released  @emph{March 26, 2017}

We are happy to announce the release of LilyPond
2.19.58.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.57 released  @emph{March 12, 2017}

We are happy to announce the release of LilyPond
2.19.57.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.56 released  @emph{February 26, 2017}

We are happy to announce the release of LilyPond
2.19.56.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.55 released  @emph{February 12, 2017}

We are happy to announce the release of LilyPond
2.19.55.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.54 released  @emph{January 4, 2017}

We are happy to announce the release of LilyPond
2.19.54.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.53 released  @emph{December 17, 2016}

We are happy to announce the release of LilyPond
2.19.53.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.52 released  @emph{December 4, 2016}

We are happy to announce the release of LilyPond
2.19.52.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.51 released  @emph{November 20, 2016}

We are happy to announce the release of LilyPond
2.19.51.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.50 released  @emph{November 6, 2016}

We are happy to announce the release of LilyPond
2.19.50.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.49 released  @emph{October 16, 2016}

We are happy to announce the release of LilyPond
2.19.49.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.48 released  @emph{September 13, 2016}

We are happy to announce the release of LilyPond
2.19.48.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.47 released  @emph{August 31, 2016}

We are happy to announce the release of LilyPond
2.19.47.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.46 released  @emph{July 26, 2016}

We are happy to announce the release of LilyPond
2.19.46.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.45 released  @emph{July 09, 2016}

We are happy to announce the release of LilyPond
2.19.45.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.44 released  @emph{June 21, 2016}

We are happy to announce the release of LilyPond
2.19.44.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.43 released  @emph{June 8, 2016}

We are happy to announce the release of LilyPond
2.19.43.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.42 released  @emph{May 15, 2016}

We are happy to announce the release of LilyPond
2.19.42.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.41 released  @emph{May 1, 2016}

We are happy to announce the release of LilyPond
2.19.41.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading Two LilyPond projects in Google Summer of Code 2016  @emph{April 23, 2016}

We are happy to see two students, Nathan Chou and Jeffery Shivers, working on
LilyPond as participants in the Google Summer of Code this year.  We hope they
produce great results and stay in the developer community afterwards.

Nathan will tackle an annoying limitation, namely the unability of spanners
to cross voices.  His work will make a class of ugly workarounds obsolete.
Jeffery will bring the ScholarLY package[1] to production quality and add a
LaTeX package to it, making it possible to create beautiful critical reports
from data encoded directly in the LilyPond score.

[1] @uref{https://github.com/openlilylib/scholarly}@*

@newsEnd

@newsItem
@subheading LilyPond 2.19.40 released  @emph{April 17, 2016}

We are happy to announce the release of LilyPond
2.19.40.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.39 released  @emph{March 27, 2016}

We are happy to announce the release of LilyPond
2.19.39.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.38 released  @emph{March 13, 2016}

We are happy to announce the release of LilyPond
2.19.38.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.37 released  @emph{February 28, 2016}

We are happy to announce the release of LilyPond
2.19.37.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.36 released  @emph{January 31, 2016}

We are happy to announce the release of LilyPond
2.19.36.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.35 released  @emph{January 02, 2016}

We are happy to announce the release of LilyPond
2.19.35.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.34 released  @emph{December 22, 2015}

We are happy to announce the release of LilyPond
2.19.34.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.33 released  @emph{December 6, 2015}

We are happy to announce the release of LilyPond
2.19.33.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.32 released  @emph{November 22, 2015}

We are happy to announce the release of LilyPond
2.19.32.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.31 released  @emph{November 8, 2015}

We are happy to announce the release of LilyPond
2.19.31.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.30 released  @emph{October 25, 2015}

We are happy to announce the release of LilyPond
2.19.30.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.29 released  @emph{October 18, 2015}

We are happy to announce the release of LilyPond
2.19.29.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.28 released  @emph{September 27, 2015}

We are happy to announce the release of LilyPond
2.19.28.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.27 released  @emph{September 12, 2015}

We are happy to announce the release of LilyPond
2.19.27.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.26 released  @emph{August 27, 2015}

We are happy to announce the release of LilyPond
2.19.26.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.25 released  @emph{August 9, 2015}

We are happy to announce the release of LilyPond
2.19.25.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.24 released  @emph{July 26, 2015}

We are happy to announce the release of LilyPond
2.19.24.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.23 released  @emph{July 12, 2015}

We are happy to announce the release of LilyPond
2.19.23.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.22 released  @emph{June 28, 2015}

We are happy to announce the release of LilyPond
2.19.22.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.21 released  @emph{May 24, 2015}

We are happy to announce the release of LilyPond
2.19.21.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.20 released  @emph{May 10, 2015}

We are happy to announce the release of LilyPond
2.19.20.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.19 released  @emph{April 26, 2015}

We are happy to announce the release of LilyPond
2.19.19.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.18 released  @emph{April 5, 2015}

We are happy to announce the release of LilyPond
2.19.18.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.17 released  @emph{March 15, 2015}

We are happy to announce the release of LilyPond
2.19.17.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.16 released  @emph{February 28, 2015}

At long last, we are very happy to announce the release of LilyPond
2.19.16.  This release includes a number of enhancements, and contains some
work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

We would like to acknowledge and thank Masamichi Hosoda for making this
release possible with his work on updating GUB, the build tool.

@newsEnd

@newsItem
@subheading LilyPond 2.19.15 released  @emph{September 28, 2014}

We are happy to announce the release of LilyPond 2.19.15.  This
release includes a number of enhancements, and contains some work
in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.14 released  @emph{September 14, 2014}

We are happy to announce the release of LilyPond 2.19.14.  This
release includes a number of enhancements, and contains some work
in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.13 released  @emph{August 31, 2014}

We are happy to announce the release of LilyPond 2.19.13.  This
release includes a number of enhancements, and contains some work
in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.12 released  @emph{August 17, 2014}

We are happy to announce the release of LilyPond 2.19.12.  This
release includes a number of enhancements, and contains some work
in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.11 released  @emph{August 3, 2014}

We are happy to announce the release of LilyPond 2.19.11.  This
release includes a number of enhancements, and contains some work
in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.10 released  @emph{July 13, 2014}

We are happy to announce the release of LilyPond 2.19.10.  This
release includes a number of enhancements, and contains some work
in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.9 released  @emph{June 29, 2014}

We are happy to announce the release of LilyPond 2.19.9.  This
release includes a number of enhancements, and contains some work
in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.8 released  @emph{June 15, 2014}

We are happy to announce the release of LilyPond 2.19.8.  This
release includes a number of enhancements, and contains some work
in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.7 released  @emph{May 25, 2014}

We are happy to announce the release of LilyPond 2.19.7.  This
release includes a number of enhancements, and contains some work
in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.6 released  @emph{May 11, 2014}

We are happy to announce the release of LilyPond 2.19.6.  This
release includes a number of enhancements, and contains some work
in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you
require a stable version of LilyPond, we recommend using the 2.18
version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.5 released  @emph{April 20, 2014}

We are happy to announce the release of LilyPond 2.19.5.  This
release includes a number of enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.18 version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.4 released  @emph{April 6, 2014}

We are happy to announce the release of LilyPond 2.19.4.  This
release includes a number of enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.18 version.

@newsEnd

@newsItem
@subheading LilyPond 2.18.2 released!  @emph{March 23, 2014}

We are proud to announce the release of GNU LilyPond 2.18.2.
LilyPond is a music engraving program devoted to producing the
highest-quality sheet music possible.  It brings the aesthetics of
traditionally engraved music to computer printouts.

This version provides a number of updates to 2.18.0, including
updated manuals.  We recommend all users to upgrade to this version.

@newsEnd

@newsItem
@subheading LilyPond production named BEST EDITION 2014  @emph{March 11, 2014}

We are thrilled that the edition of the songs of Oskar
Fried (1871-1941), published recently by our fellow contributors Urs Liska
and Janek Warchoł [1], received the "Musikeditionspreis BEST EDITION
2014" of the German Music Publishers' Association [2].  The ceremony
took place at the Frankfurt Musikmesse.

We congratulate Janek and Urs for gaining such public recognition of
typographical and editorial excellence of their work.  We are also delighted
to inform you that they intend to make their work available under a Free
license as soon as the publisher expenses are covered.  Please support this
initiative by buying the printed volume through the publisher [3].

[1] @uref{https://lilypondblog.org/category/fried-songs}@*
[2] @uref{https://www.best-edition.de}@*
[3] @uref{http://www.sound-rel.de}@*

@newsEnd


@newsItem
@subheading LilyPond 2.19.3 released  @emph{March 2, 2014}

We are happy to announce the release of LilyPond 2.19.3.  This
release includes a number of enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.18 version.

@newsEnd

@newsItem
@subheading LilyPond 2.18.1  @emph{February 16, 2014}

We have released updated manuals for LilyPond's stable version, 2.18.
The manuals are now for 2.18.1 and have a number of updates and improvements
over 2.18.0.  There will be a further release of 2.18 in the future (2.18.2),
and this will include the updates to the manuals as well as some minor
enhancements to the LilyPond core functionality.

To summarise the current situation: stable LilyPond application: 2.18.0;
stable LilyPond manuals: 2.18.1; development for both: 2.19.2.

@newsEnd

@newsItem
@subheading LilyPond 2.19.2 released  @emph{February 2, 2014}

We are happy to announce the release of LilyPond 2.19.2.  This
release includes a number of enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.18 version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.1 released  @emph{January 19, 2014}

We are happy to announce the release of LilyPond 2.19.1.  This
release includes a number of enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.18 version.

@newsEnd

@newsItem
@subheading LilyPond 2.19.0 released  @emph{January 5, 2014}

We are happy to announce the release of LilyPond 2.19.0.  This
release includes a number of enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.18 version.

@newsEnd

@newsItem
@subheading LilyPond 2.18.0 released!  @emph{December 29, 2013}

We are proud to announce the release of GNU LilyPond 2.18.0.
LilyPond is a music engraving program devoted to producing the
highest-quality sheet music possible.  It brings the aesthetics of
traditionally engraved music to computer printouts.

Among the numerous improvements and changes, the following might
be most visible:

@itemize
@item
Many items are now positioned using their actual outline rather
than a@tie{}rectangular bounding box.  This greatly reduces
the occurrence of unsightly large gaps.

@item
Sets and overrides can now use the syntax
@example
\override Voice.TextSpanner.bound-details.left.text = "rit."
@end example
instead of the previous
@example
\override Voice.TextSpanner #'(bound-details left text) = "rit."
@end example

@item
Triplets with a given group length can now be written as
@example
\tuplet 3/2 4 @{ c8 c c  c c c @}
@end example
instead of
@example
\times 2/3 @{ c8 c c @}  \times 2/3 @{ c8 c c @}
@end example
@end itemize

A full list of noteworthy new features is given in:

@example
@uref{https://lilypond.org/doc/v2.18/Documentation/changes/index.html}
@end example

Great thanks go to the large number of LilyPond enthusiasts whose
financial backing enabled one core developer, David Kastrup, to
focus exclusively on LilyPond during the entire development cycle.

LilyPond 2.18 has been brought to you by

@table @asis
@item Main Developers:
Bertrand Bordage, Trevor Daniels, Colin Hall, Phil Holmes, Ian
Hulin, Reinhold Kainhofer, David Kastrup, Jonathan Kulp, Werner
Lemberg, John Mandereau, Patrick McCarty, Joe Neeman, Han-Wen
Nienhuys, Jan Nieuwenhuizen, Graham Percival, Mark Polesky, Neil
Puttock, Mike Solomon, Carl Sorensen, Francisco Vila, Valentin
Villenave, Janek Warchoł

@item Core Contributors:
Aleksandr Andreev, Frédéric Bron, Torsten Hämmerle, Marc Hohl,
James Lowe, Andrew Main, Thomas Morley, David Nalesnik, Keith
OHara, Benkő Pál, Anders Pilegaard, Julien Rioux, Johannes Rohrer,
Adam Spiers, Heikki Tauriainen

@item Documentation Writers:
Frédéric Bron, Federico Bruni, Colin Campbell, Urs Liska, James
Lowe, Thomas Morley, Jean-Charles Malahieude, Guy Stalnaker,
Martin Tarenskeen, Arnold Theresius, Rodolfo Zitellini

@item Bug Squad:
Colin Campbell, Eluze, Marc Hohl, Phil Holmes, Marek Klein, Ralph
Palmer

@item Support Team:
Colin Campbell, Eluze, Marc Hohl, Marek Klein, Kieren MacMillan,
Urs Liska, Ralph Palmer

@item Translators:
Federico Bruni, Luca Rossetto Casel, Felipe Castro, Pavel Fric,
Jean-Charles Malahieude, Till Paala, Yoshiki Sawada

@end table
and numerous other contributors.

@newsEnd

@newsItem
@subheading LilyPond 2.17.97 released!  @emph{December 8, 2013}

We are excited to announce the release of LilyPond@tie{}2.17.97 as
a potential final beta release for the upcoming stable release@tie{}2.18.  The
developers believe this to be feature-complete, the
documentation to be accurate, and no important issues to be
overlooked.  For upgrading the syntax of your input files to the
latest version, see @uref{https://lilypond.org/doc/v2.17/Documentation/usage/updating-files-with-convert_002dly, Updating files with convert-ly}.
Please test this release and report back any problems, see
@uref{https://lilypond.org/bug-reports.html, Bug reports}.

@newsEnd

@newsItem
@subheading LilyPond 2.17.96 released!  @emph{November 24, 2013}

We are excited to announce the release of LilyPond@tie{}2.17.96 as
a further beta release for the upcoming stable release@tie{}2.18.  The
developers believe the release to be feature-complete, the
documentation to be accurate, and no important issues to be
overlooked.  For upgrading the syntax of your input files to the
latest version, see @uref{https://lilypond.org/doc/v2.17/Documentation/usage/updating-files-with-convert_002dly, Updating files with convert-ly}.
Please test this release and report back any problems, see
@uref{https://lilypond.org/bug-reports.html, Bug reports}.

@newsEnd

@newsItem
@subheading LilyPond 2.17.95 released!  @emph{November 3, 2013}

We are excited to announce the release of LilyPond@tie{}2.17.95 as
beta release for the upcoming stable release@tie{}2.18.  The
developers are still busy finding solutions for some last-minute
problems, but the release is supposed to be feature-complete, the
documentation to be accurate, and no important issues to be
overlooked.  For upgrading the syntax of your input files to the
latest version, see @uref{https://lilypond.org/doc/v2.17/Documentation/usage/updating-files-with-convert_002dly, Updating files with convert-ly}.
Please test this release and report back any problems,
@pxref{Bug reports}.

@newsEnd

@newsItem
@subheading LilyPond 2.17.29 released!  @emph{October 20, 2013}

We are happy to announce the release of LilyPond 2.17.29.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.28 released!  @emph{October 6, 2013}

We are happy to announce the release of LilyPond 2.17.28.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.27 released!  @emph{September 26, 2013}

We are happy to announce the release of LilyPond 2.17.27.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.26 released!  @emph{September 8, 2013}

We are happy to announce the release of LilyPond 2.17.26.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.25 released!  @emph{August 25, 2013}

We are happy to announce the release of LilyPond 2.17.25.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.24 released!  @emph{August 11, 2013}

We are happy to announce the release of LilyPond 2.17.24.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.23 released!  @emph{July 28, 2013}

We are happy to announce the release of LilyPond 2.17.23.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.22 released!  @emph{July 14, 2013}

We are happy to announce the release of LilyPond 2.17.22.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

This update cures the issue with the Windows version crashing with a problem
with positioning text.

@newsEnd

@newsItem
@subheading LilyPond 2.17.21 released!  @emph{June 30, 2013}

We are happy to announce the release of LilyPond 2.17.21.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.20 released!  @emph{June 9, 2013}

We are happy to announce the release of LilyPond 2.17.20.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond blog.  @emph{June 2, 2013}

Janek Warchoł has created a LilyPond blog.  You can find it at
@uref{https://lilypondblog.org/, lilypondblog.org}!

@newsEnd

@newsItem
@subheading LilyPond 2.17.19 released!  @emph{May 26, 2013}

We are happy to announce the release of LilyPond 2.17.19.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.18 released!  @emph{May 11, 2013}

We are happy to announce the release of LilyPond 2.17.18.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.17 released!  @emph{April 27, 2013}

We are happy to announce the release of LilyPond 2.17.17.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.16 released!  @emph{April 13, 2013}

We are happy to announce the release of LilyPond 2.17.16.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.15 released!  @emph{March 30, 2013}

We are happy to announce the release of LilyPond 2.17.15.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.14 released!  @emph{March 10, 2013}

We are happy to announce the release of LilyPond 2.17.14.  This
release contains the usual number of bugfixes (including putting span bars back
where they should be) and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.13 released!  @emph{February 23, 2013}

We are happy to announce the release of LilyPond 2.17.13.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.12 released!  @emph{February 8, 2013}

We are happy to announce the release of LilyPond 2.17.12.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.11 released!  @emph{January 26, 2013}

We are happy to announce the release of LilyPond 2.17.11.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.10 released!  @emph{January 12 2013}

We are happy to announce the release of LilyPond 2.17.10.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.16.2 released!  @emph{January 4, 2013}

We are happy to announce the release of LilyPond 2.16.2. This release is mainly
to correct a problem with lilypond-book running on Windows. We recommend that
only people requiring this functionality upgrade to this version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.9 released!  @emph{December 15, 2012}

We are happy to announce the release of LilyPond 2.17.9.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.8 released!  @emph{December 1, 2012}

We are happy to announce the release of LilyPond 2.17.8.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.7 released!  @emph{November 17, 2012}

We are happy to announce the release of LilyPond 2.17.7.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd


@newsItem
@subheading The LilyPond Report #28.  @emph{November 12, 2012}

The @uref{http://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-28, October
issue of the @emph{LilyPond Report}} focuses on the
@uref{https://web.archive.org/web/20110325004849/http://news.lilynet.net/?LilyPond-meeting-in-Waltrop,
meeting of LilyPond developers and users} in Waltrop, Germany last
August.  Of course, there are also some musings on LilyPond
triggered by the release of 2.16.0 and 2.17.0 occuring from that
venue.

There are also two monthly financial reports from David Kastrup
whose work on LilyPond is
@uref{http://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-24#an_urgent_request_for_funding,
solely paid for} by financial contributions from other developer
and users (thank you!), and a report about experiences from
@uref{http://scorio.com, a web-based music typesetting service}
using LilyPond internally.

Come @uref{http://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-28, read
LilyPond Report 28} now; comments and contributions are warmly
encouraged!
@newsEnd

@newsItem
@subheading LilyPond 2.16.1 released!  @emph{November 9, 2012}

We are happy to announce the release of LilyPond 2.16.1. This has a number of
updates to the previous stable version, and should cause no problems. We
recommend that everybody upgrade to this version.
@newsEnd

@newsItem
@subheading LilyPond 2.17.6 released!  @emph{November 3, 2012}

We are happy to announce the release of LilyPond 2.17.6.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.5 released!  @emph{October 20, 2012}

We are happy to announce the release of LilyPond 2.17.5.  This
release contains the usual number of bugfixes and enhancements, and contains
some work in progress.  You will have access to the very latest features, but
some may be incomplete, and you may encounter bugs and crashes.  If you require
a stable version of LilyPond, we recommend using the 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.4 released!  @emph{October 6, 2012}

We are happy to announce the release of LilyPond 2.17.4.  This
release contains the usual number of bugfixes.  It is strongly
recommended that normal users do @strong{not} use this release,
and instead use the stable 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.3 released!  @emph{September 23, 2012}

We are happy to announce the release of LilyPond 2.17.3.  This
release contains the usual number of bugfixes.  It is strongly
recommended that normal users do @strong{not} use this release,
and instead use the stable 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.2 released!  @emph{September 10, 2012}

We are happy to announce the release of LilyPond 2.17.2.  This
release contains the usual number of bugfixes.  It is strongly
recommended that normal users do @strong{not} use this release,
and instead use the stable 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.17.1 released!  @emph{August 28, 2012}

We are happy to announce the release of LilyPond 2.17.1.  This
release contains the usual number of bugfixes.  It is strongly
recommended that normal users do @strong{not} use this release,
and instead use the stable 2.16 version.

@newsEnd


@newsItem
@subheading LilyPond 2.17.0 released!  @emph{August 26, 2012}

We are happy to announce the release of LilyPond 2.17.0.  This
release contains the usual number of bugfixes.  It is strongly
recommended that normal users do @strong{not} use this release,
and instead use the stable 2.16 version.

@newsEnd

@newsItem
@subheading LilyPond 2.16.0 released!  @emph{August 24, 2012}

We are proud to announce the release of GNU LilyPond 2.16.0.
LilyPond is a music engraving program, devoted to producing the
highest-quality sheet music possible.  It brings the aesthetics of
traditionally engraved music to computer printouts.

Many improvements have been made in the past year since the previous
main stable version. A few major improvements are:

@itemize
@item
Support for kievan square notation
@item
User and programming interfaces have greatly improved
@item
Music functions have become quite more versatile
@end itemize

A full list of new features is given in:

@example
@uref{https://lilypond.org/doc/v2.16/Documentation/changes/index.html}
@end example

Happy music typesetting!  LilyPond 2.16 was brought to you by...

Main development team:

Bertrand Bordage, Trevor Daniels, Colin Hall, Phil Holmes, Ian Hulin,
Reinhold Kainhofer, David Kastrup, Jonathan Kulp, Werner Lemberg,
John Mandereau, Patrick McCarty, Joe Neeman, Han-Wen Nienhuys,
Jan Nieuwenhuizen, Graham Percival, Mark Polesky, Neil Puttock,
Mike Solomon, Carl Sorensen, Francisco Vila, Valentin Villenave,
Jan Warchoł

Programming contributors:

Aleksandr Andreev, Sven Axelsson, Peter Chubb, Karin Hoethker,
Marc Hohl, David Nalesnik, Justin Ohmie, Benkő Pál, Julien Rioux, Patrick Schmidt,
Adam Spiers, Heikki Taurainen, Piers Titus van der Torren,
Jan-Peter Voigt, Janek Warchol

Documentation contributors:

James Lowe, Pavel Roskin, Alberto Simoes, Stefan Weil

Bug squad:

Colin Campbell, Eluze, Phil Holmes, Marek Klein, Ralph Palmer,
James Lowe

Support:

Colin Campbell, Christian Hitz, Phil Holmes

Translation contributors:

Jean-Charles Malahieude, Till Paala, Yoshiki Sawada

@newsEnd

@newsItem
@subheading LilyPond 2.15.95 released!  @emph{August 11, 2012}

We are excited to announce the release of LilyPond 2.15.95.
With this release, development on version 2.15 is frozen for the
upcoming 2.16 stable release and only open to bug fixes.

All users are urged to try this version to ensure the best
quality of the upcoming stable release.  If you discover any
problems, please send us @ref{Bug reports}.

New features since 2.14.2 are listed in the @qq{Changes} manual
on the website section about @ref{Development}.

@newsEnd


@newsItem
@subheading LilyPond 2.15.42 released!  @emph{August 02, 2012}

We are happy to announce the release of LilyPond 2.15.42.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading The LilyPond Report #27. @emph{August 2, 2012}

The @emph{LilyPond Report} is back, with some interesting insights on
new Scheme-related features recently added by our community’s only paid
developer David Kastrup (thanks to your
@uref{https://lilypond.org/sponsoring.html, continuing donations}).  Also
to be found in this issue are an overview of some lesser-known LilyPond
companion projects, and a handful of more shallow factoids.

Come
@uref{https://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-27, read
LilyPond Report 27} now; comments and contributions are
warmly encouraged!

@newsEnd
@newsItem
@subheading Release candidate withdrawn  @emph{July 11, 2012}

We have discovered a regression since 2.14.2, so lilypond 2.15.41
is no longer a candidate for the 2.16.0 release.  However, please
continue testing it -- we would like to discover (and fix!) any
more regressions as soon as possible.  If you discover any
problems, please send us @ref{Bug reports}.

@newsEnd


@newsItem
@subheading Release candidate 8 of 2.16 - LilyPond 2.15.41 released!  @emph{July 4, 2012}

LilyPond 2.15.41 is out; this is the eighth release candidate of
the upcoming 2.16 stable release.  All users are invited to
experiment with this version.  New features since 2.14.2 are
listed in the @qq{Changes} manual on the website section about
@ref{Development}.

There are no known Critical issues with this release.  If no
Critical bugs are found, then the official 2.16.0 release will be
on 18 July 2012.  If you discover any problems, please send us
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading LilyPond 2.15.40 released!  @emph{June 05, 2012}

We are happy to announce the release of LilyPond 2.15.40.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading Release candidate withdrawn  @emph{June 01, 2012}

We have discovered a regression since 2.14.2, so lilypond 2.15.39
is no longer a candidate for the 2.16.0 release.  However, please
continue testing it -- we would like to discover (and fix!) any
more regressions as soon as possible.  If you discover any
problems, please send us @ref{Bug reports}.

@newsEnd


@newsItem
@subheading Release candidate 7 of 2.16 - LilyPond 2.15.39 released!  @emph{May 22, 2012}

LilyPond 2.15.39 is out; this is the seventh release candidate of
the upcoming 2.16 stable release.  All users are invited to
experiment with this version.  New features since 2.14.2 are
listed in the @qq{Changes} manual on the website section about
@ref{Development}.

There are no known Critical issues with this release.  If no
Critical bugs are found, then the official 2.16.0 release will be
on 05 June 2012.  If you discover any problems, please send us
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading The LilyPond Report #26. @emph{May 22, 2012}

The @emph{LilyPond Report} is back, with a new editor on board -
Pavel Roskin, who tells us about his adventures in strange lands
of compiler bugs!  There is also a detailed report about current
development status, and an analysis of example LilyPond output -
see for yourself how close (or how far?) are we from matching
the quality of hand-engraved scores.

Come
@uref{https://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-26, read
LilyPond Report 26} now; comments and contributions are
warmly encouraged!

@newsEnd


@newsItem
@subheading Release candidate 6 of 2.16 - LilyPond 2.15.38 released!  @emph{May 3, 2012}

LilyPond 2.15.38 is out; this is the sixth release candidate of
the upcoming 2.16 stable release.  All users are invited to
experiment with this version.  New features since 2.14.2 are
listed in the @qq{Changes} manual on the website section about
@ref{Development}.

@strong{Update:} Due to a few Critical bugs, another release
candidate will be required.

@newsEnd


@newsItem
@subheading LilyPond takes part in Google Summer of Code 2012!  @emph{April 25, 2012}

Being a part of @uref{https://www.gnu.org/, GNU project}, we are participating in
@uref{https://www.google-melange.com/gsoc/homepage/google/gsoc2012,
Google Summer of Code program}, which offers students stipends for
working on open source software.

Our contributor Janek Warchoł was accepted for 2012 edition of GSoC.
He will be working on advanced lyrics positioning in LilyPond.

@newsEnd


@newsItem
@subheading Release candidate 5 of 2.16 - LilyPond 2.15.37 released!  @emph{April 19, 2012}

LilyPond 2.15.37 is out; this is the fifth release candidate of
the upcoming 2.16 stable release.  All users are invited to
experiment with this version.  New features since 2.14.2 are
listed in the @qq{Changes} manual on the website section about
@ref{Development}.

There are no known Critical issues with this release.  If no
Critical bugs are found, then the official 2.16.0 release will be
on 03 May 2012.  If you discover any problems, please send us
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading Release candidate 4 of 2.16 - LilyPond 2.15.36 released!  @emph{April 6, 2012}

LilyPond 2.15.36 is out; this is the fourth release candidate of
the upcoming 2.16 stable release.  All users are invited to
experiment with this version.  New features since 2.14.2 are
listed in the @qq{Changes} manual on the website section about
@ref{Development}.

There are no known Critical issues with this release.  If no
Critical bugs are found, then the official 2.16.0 release will be
on 20 April 2012.  If you discover any problems, please send us
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading The LilyPond Report #25. @emph{Apr 1st, 2012}

The @emph{LilyPond Report} is back, with a rather unusual
issue featuring our young Polish contributor Janek Warchoł!
Also included in this issue are quite a few unexpected items,
including (but not limited to)… a cooking recipe!

Come
@uref{https://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-25, read
LilyPond Report 25} now; comments and contributions are
warmly encouraged!

@newsEnd


@newsItem
@subheading LilyPond 2.15.35 released!  @emph{Mar 28, 2012}

We are happy to announce the release of LilyPond 2.15.35.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.34 released!  @emph{Mar 19, 2012}

We are happy to announce the release of LilyPond 2.15.34.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.33 released!  @emph{Mar 08, 2012}

We are happy to announce the release of LilyPond 2.15.33.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading The LilyPond Report #24. @emph{Mar 5, 2012}

A new issue of the @emph{LilyPond Report} is now
available for reading; topics include a request for funding,
an article about exciting new features in LilyPond grammar,
and an overview of LilyPond-based web applications.

Come
@uref{https://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-24, read
LilyPond Report 24} now; comments and contributions are
warmly encouraged!

@newsEnd


@newsItem
@subheading LilyPond 2.15.32 released!  @emph{Mar 03, 2012}

We are happy to announce the release of LilyPond 2.15.32.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.31 released!  @emph{Feb 29, 2012}

We are happy to announce the release of LilyPond 2.15.31.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading Release candidate 3 of 2.16 - LilyPond 2.15.30 released!  @emph{Feb 17, 2012}

LilyPond 2.15.30 is out; this is the third release candidate of
the upcoming 2.16 stable release.  All users are invited to
experiment with this version.  New features since 2.14.2 are
listed in the @qq{Changes} manual on the website section about
@ref{Development}.

There are no known Critical issues with this release.  If no
Critical bugs are found, then the official 2.16.0 release will be
on 02 March 2012.  If you discover any problems, please send us
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading LilyPond 2.15.29 released!  @emph{Feb 9, 2012}

We are happy to announce the release of LilyPond 2.15.29.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.28 released!  @emph{Feb 3, 2012}

We are happy to announce the release of LilyPond 2.15.28.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.27 released!  @emph{Jan 24, 2012}

We are happy to announce the release of LilyPond 2.15.27.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading The LilyPond Report #23. @emph{Jan 20, 2012}

The @emph{LilyPond Report} is back, with developer
David Kastrup as a new editor!  This issue features
an exposé on some of the new, handy commands
recently added to LilyPond, as well as an interview
with LilyPond contributor and composer Mike Solomon.

Come
@uref{https://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-23, read
LilyPond Report 23} now; comments and contributions are
warmly encouraged!

@newsEnd


@newsItem
@subheading LilyPond 2.15.26 released!  @emph{Jan 16, 2012}

We are happy to announce the release of LilyPond 2.15.26.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

The 2.15.25 has been skipped due to build problems.

@newsEnd


@newsItem
@subheading LilyPond 2.15.24 released!  @emph{Jan 07, 2012}

We are happy to announce the release of LilyPond 2.15.24.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.23 released!  @emph{Dec 21, 2011}

We are happy to announce the release of LilyPond 2.15.23.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.22 released!  @emph{Dec 15, 2011}

We are happy to announce the release of LilyPond 2.15.22.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.21 released!  @emph{Dec 6, 2011}

We are happy to announce the release of LilyPond 2.15.21.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.20 released!  @emph{Nov 24, 2011}

We are happy to announce the release of LilyPond 2.15.20.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.19 released!  @emph{Nov 18, 2011}

We are happy to announce the release of LilyPond 2.15.19.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.18 released!  @emph{Nov 12, 2011}

We are happy to announce the release of LilyPond 2.15.18.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.17 released!  @emph{Nov 10, 2011}

We are happy to announce the release of LilyPond 2.15.17.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.16 released!  @emph{October 28, 2011}

We are happy to announce the release of LilyPond 2.15.16.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.15 released!  @emph{October 24, 2011}

We are happy to announce the release of LilyPond 2.15.15.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.14 released!  @emph{October 7, 2011}

We are happy to announce the release of LilyPond 2.15.14.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.13 released!  @emph{September 27, 2011}

We are happy to announce the release of LilyPond 2.15.13.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few Critical bugs, this is not the next release
candidate.

@newsEnd


@newsItem
@subheading Release candidate 2 cancelled @emph{Sep 23, 2011}

The release countdown is cancelled due to the discovery of a
Critical regression.

@newsEnd


@newsItem
@subheading Release candidate 2 of 2.16 - LilyPond 2.15.12 released!  @emph{Sep 20, 2011}

LilyPond 2.15.12 is out; this is the second release candidate of
the upcoming 2.16 stable release.  All users are invited to
experiment with this version.  New features since 2.14.2 are
listed in the @qq{Changes} manual on the website section about
@ref{Development}.

There are no known Critical issues with this release.  If no
Critical bugs are found, then the official 2.16.0 release will be
on 27 Sep 2011.  If you discover any problems, please send us
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading LilyPond 2.15.11 released!  @emph{September 11, 2011}

We are happy to announce the release of LilyPond 2.15.11.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to the possibility of a few Critical bugs, this is
not the next release candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.10 released!  @emph{September 6, 2011}

We are happy to announce the release of LilyPond 2.15.10.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few outstanding Critical bugs, this is not the
next release candidate.

@newsEnd


@newsItem
@subheading LilyPond 2.15.9 released!  @emph{August 30, 2011}

We are happy to announce the release of LilyPond 2.15.9.  This
release contains the usual number of bugfixes, and also adds
support for MacOS X 10.7.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.  Please
note that due to a few outstanding Critical bugs, this is not the
next release candidate.

@newsEnd


@newsItem
@subheading Release candidate 1 of 2.16 - LilyPond 2.15.8 released!  @emph{Aug 01, 2011}

LilyPond 2.15.8 is out; this is the first release candidate of
the upcoming 2.16 stable release.  All users are invited to
experiment with this version.  New features since 2.14.2 are
listed in the @qq{Changes} manual on the website section about
@ref{Development}.

There are no known Critical issues with this release.  If no
Critical bugs are found, then the official 2.16.0 release will be
on 08 Aug 2011.  If you discover any problems, please send us
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading LilyPond 2.15.7 released!  @emph{July 29, 2011}

We are happy to announce the release of LilyPond 2.15.7.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.

@newsEnd


@newsItem
@subheading LilyPond 2.15.6 released!  @emph{July 26, 2011}

We are happy to announce the release of LilyPond 2.15.6.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.

@newsEnd


@newsItem
@subheading LilyPond 2.14.2 released!  @emph{July 25, 2011}

We are happy to announce the release of LilyPond 2.14.2.  This
fixes a few minor bugs in the stable version, and should cause no
problems.  We recommend that everybody upgrade to this version.

@newsEnd




@newsItem
@subheading LilyPond 2.15.5 released!  @emph{July 12, 2011}

We are happy to announce the release of LilyPond 2.15.5.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.

@newsEnd


@newsItem
@subheading LilyPond 2.15.4 released!  @emph{July 4, 2011}

We are happy to announce the release of LilyPond 2.15.4.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.

@newsEnd


@newsItem
@subheading LilyPond 2.15.3 released!  @emph{June 27, 2011}

We are happy to announce the release of LilyPond 2.15.3.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.

@newsEnd


@newsItem
@subheading LilyPond 2.15.2 released!  @emph{June 18, 2011}

We are happy to announce the release of LilyPond 2.15.2.  This
release contains the usual number of bugfixes.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.

@newsEnd


@newsItem
@subheading LilyPond 2.14.1 released!  @emph{June 12, 2011}

We are happy to announce the release of LilyPond 2.14.1.  This
fixes a few minor bugs in the stable version, and should cause no
problems.  We recommend that everybody upgrade to this version.

@newsEnd

@newsItem
@subheading LilyPond 2.15.1 released!  @emph{June 11, 2011}

We are happy to announce the release of LilyPond 2.15.1.  This is
the beginning of a new unstable development effort, and adds the
usual number of bugs.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.

@newsEnd

@newsItem
@subheading LilyPond 2.15.0 released!  @emph{June 7, 2011}

We are happy to announce the release of LilyPond 2.15.0.  This is
the beginning of a new unstable development effort, and adds the
usual number of bugs.

It is strongly recommended that normal users do @strong{not} use
this release, and instead use the stable 2.14 version.

@newsEnd


@newsItem
@subheading LilyPond 2.14.0 released! @emph{June 6, 2011}

We are proud to announce the release of GNU LilyPond 2.14.
LilyPond is a music engraving program, devoted to producing the
highest-quality sheet music possible.  It brings the aesthetics of
traditionally engraved music to computer printouts.

Many improvements have been made in the past two and a half years
since the previous main stable version.  A few major improvements
are:

@itemize
@item
LilyPond is now licensed under the GNU GPL v3 or higher.

@item
The vertical spacing engine has been drastically changed, making
it much more flexible and easier to control.

@item
Automatic beaming is now more flexible, and beam collisions are
avoided.

@end itemize

A full list of new features is given in:

@example
@uref{https://lilypond.org/doc/v2.14/Documentation/changes/index.html}
@end example

Happy music typesetting!  LilyPond 2.14 was brought to you by...

Main development team:

Trevor Daniels, Reinhold Kainhofer, David Kastrup, Jonathan Kulp,
Werner Lemberg, John Mandereau, Patrick McCarty, Joe Neeman,
Han-Wen Nienhuys, Jan Nieuwenhuizen, Graham Percival, Mark
Polesky, Neil Puttock, Mike Solomon, Carl Sorensen, Francisco
Vila, Valentin Villenave.

Programming contributors:

Sven Axelsson, Pál Benkő, Bertrand Bordage, Frédéric Bron, Peter Chubb, Hajo Dezelski, Richard
Gay, Keith OHara, Andrew Hawryluk, Christian Hitz, Marc Hohl,
Henning Hraban Ramm, Ian Hulin, Michael Käppler, Marek Klein,
Kieren MacMillan, Thomas Morgan, Benjamin Peterson, Nathan Reed,
Julien Rioux, Boris Shingarov, Patrick Schmidt, Owen Tuz, Jan Warchoł, Andrew
Wilson, Rodolfo Zitellini.

Font contributors:

Keith OHara, Marc Hohl, Alexander Kobel, Carsten Steger.

Documentation contributors:

Colin Campbell, Andrew Hawryluk, James Lowe, Mike Moral, Ralph
Palmer, David Pounder, Patrick Schmidt.

Bug squad:

James E. Bailey, Colin Campbell, Phil Holmes, Urs Liska, Ralph
Palmer, Kieren MacMillan, Dmytro O. Redchuk.

Binaries support contributors:

Christian Hitz.

Translation contributors:

Federico Bruni, Dénes Harmath, Jean-Charles Malahieude, Tineke de
Munnik, Till Paala, Ralf Wildenhues, Yoshiki Sawada.

@newsEnd



@newsItem
@subheading Release candidate 7 of 2.14 - LilyPond 2.13.63 released!  @emph{May 30, 2011}

LilyPond 2.13.63 is out; this is the seventh release candidate of
the upcoming 2.14 stable release.  All users are invited to
experiment with this version.  New features since 2.12.3 are
listed in the @qq{Changes} manual on the website section about
@ref{Development}.

There are no known Critical issues with this release.  If no
Critical bugs are found, then the official 2.14.0 release will be
on June 6, 2011.  If you discover any problems, please send us
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading LilyPond 2.13.62 released!  @emph{May 24, 2011}

We are happy to announce the release of LilyPond 2.13.62.  This
release contains the usual number of bugfixes.

Please note that this is @strong{not} the next release candidate,
due to a few remaining Critical bugs.

@newsEnd


@newsItem
@subheading LilyPond 2.13.61 released!  @emph{May 1, 2011}

We are happy to announce the release of LilyPond 2.13.61.  This
release contains the usual number of bugfixes.

Please note that this is @strong{not} the next release candidate,
due to a few remaining Critical bugs.

@newsEnd


@newsItem
@subheading LilyPond 2.13.60 released!  @emph{April 16, 2011}

We are happy to announce the release of LilyPond 2.13.60.  This
release contains the usual number of bugfixes.

Please note that this is @strong{not} the next release candidate,
due to a few remaining Critical bugs.

@newsEnd


@newsItem
@subheading Linux Journal Magazine article - @emph{April 2011}

@uref{https://www.linux-magazine.com,Linux Magazine} publishes an
article in the May 2011 issue titled
@uref{http://www.linux-magazine.com/content/download/61706/482546/version/1/file/088-090_projects.pdf,
Projects on the Move}.  It is an introduction to MuseScore,
LilyPond and Chordii.  Author Carla Schroder states @qq{LilyPond is
driven from the command line, but don’t let the lack of a GUI scare
you away; LilyPond is user-friendly and easy to learn}, and provides
a hands-on example.
@newsEnd

@newsItem
@subheading LilyPond 2.13.59 released!  @emph{April 10, 2011}

We are happy to announce the release of LilyPond 2.13.59.  This
release contains the usual number of bugfixes.

Please note that this is @strong{not} the next release candidate,
due to a few remaining Critical bugs.

@newsEnd


@newsItem
@subheading Release candidate 6 of 2.14 - LilyPond 2.13.58 released!  @emph{April 7, 2011}

LilyPond 2.13.58 is out; this is the sixth release candidate of
the upcoming 2.14 stable release.  All users are invited to
experiment with this version.  New features since 2.12.3 are
listed in the @qq{Changes} manual on the website section about
@ref{Development}.

There are no known Critical issues with this release.  If no
Critical bugs are found, then the official 2.14.0 release will be
on April 14, 2011.  If you discover any problems, please send us
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading Release candidate 5 of 2.14 - LilyPond 2.13.57 released!  @emph{April 3, 2011}

LilyPond 2.13.57 is out; this is the fifth release candidate of
the upcoming 2.14 stable release.  All users are invited to
experiment with this version.  New features since 2.12.3 are
listed in the @qq{Changes} manual on the website section about
@ref{Development}.

There are no known Critical issues with this release.  If no
Critical bugs are found, then the official 2.14.0 release will be
on April 10, 2011.  If you discover any problems, please send us
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading Release candidate 4 of 2.14 - LilyPond 2.13.56 released!  @emph{Mar 29, 2011}

LilyPond 2.13.56 is out; this is the fourth release candidate of
the upcoming 2.14 stable release.  All users are invited to
experiment with this version.  New features since 2.12.3 are
listed in the @qq{Changes} manual on the website section about
@ref{Development}.

There are no known Critical issues with this release.  If no
Critical bugs are found, then the official 2.14.0 release will be
on April 5, 2011.  If you discover any problems, please send us
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading LilyPond 2.13.55 released!  @emph{Mar 22, 2011}

We are happy to announce the release of LilyPond 2.13.55.  This
release contains the usual number of bugfixes.

Please note that this is @strong{not} the fourth release candidate,
due to a few remaining Critical bugs.

@newsEnd


@newsItem
@subheading Release candidate 3 withdrawn  @emph{Mar 15, 2011}

We have discovered a regression since 2.12.3, so lilypond 2.13.54
is no longer a candidate for the 2.14.0 release.  However, please
continue testing it -- we would like to discover (and fix!) any
more regressions as soon as possible.  If you discover any
problems, please send us @ref{Bug reports}.

@newsEnd


@newsItem
@subheading Release candidate 3 of 2.14 - LilyPond 2.13.54 released!  @emph{Mar 13, 2011}

LilyPond 2.13.54 is out; this is the third release candidate of
the upcoming 2.14 stable release.  All users are invited to
experiment with this version.  New features since 2.12.3 are
listed in the @qq{Changes} manual on the website section about
@ref{Development}.

There are no known Critical issues with this release.  If no
Critical bugs are found, then the official 2.14.0 release will be
on March 27, 2011.  If you discover any problems, please send us
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading LilyPond 2.13.53 released!  @emph{Mar 6, 2011}

We are happy to announce the release of LilyPond 2.13.53.  This
release contains the usual number of bugfixes.

Please note that this is @strong{not} the third release candidate,
due to a few remaining Critical bugs.

@newsEnd

@newsItem
@subheading LilyPond 2.13.52 released!  @emph{Mar 1, 2011}

We are happy to announce the release of LilyPond 2.13.52.  This
release contains the usual number of bugfixes.

Please note that this is @strong{not} the third release candidate,
due to a few remaining Critical bugs.

@newsEnd

@newsItem
@subheading LilyPond 2.13.51 released!  @emph{Feb 22, 2011}

We are happy to announce the release of LilyPond 2.13.51.  This
release contains the usual number of bugfixes.

Please note that this is @strong{not} the third release candidate,
due to a few remaining Critical bugs.

@newsEnd


@newsItem
@subheading LilyPond 2.13.50 released!  @emph{Feb 13, 2011}

We are happy to announce the release of LilyPond 2.13.50.  This
release contains the usual number of bugfixes.

Please note that this is @strong{not} the third release candidate.
Due to a number of untested changes to our build process, we
cannot be at all confident about the quality of this release.

@newsEnd


@newsItem
@subheading New Chinese and Czech translations of the web page! @emph{Feb 11,2011}

Two new languages are added to our web page: Chinese by Ben Luo, and
Czech by Pavel Fric.  It is a work in progress but they are fully
functional.  That makes ten languages to choose from!

@newsEnd



@newsItem
@subheading Release candidate 2 of 2.14 - LilyPond 2.13.49 released!  @emph{Feb 9, 2011}

LilyPond 2.13.49 is out; this is the second release candidate of
the upcoming 2.14 stable release.  All users are invited to
experiment with this version.  New features since 2.12.3 are
listed in the @qq{Changes} manual on the website section about
@ref{Development}.

There are no known Critical issues with this release.  If no
Critical bugs are found, then the official 2.14.0 release will be
on Feb 23, 2011.  If you discover any problems, please send us
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading LilyPond 2.13.48 released!  @emph{Feb 5, 2011}

We are happy to announce the release of LilyPond 2.13.48.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.

@newsEnd



@newsItem
@subheading LilyPond 2.13.47 released!  @emph{Jan 28, 2011}

We are happy to announce the release of LilyPond 2.13.47.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.

@newsEnd



@newsItem
@subheading Release candidate 1 withdrawn  @emph{Jan 13, 2011}

We have discovered a regression since 2.12.3, so lilypond 2.13.46
is no longer a candidate for the 2.14.0 release.  However, please
continue testing it -- we would like to discover (and fix!) any
more regressions as soon as possible.  If you discover any
problems, please send us @ref{Bug reports}.

@newsEnd


@newsItem
@subheading Release candidate 1 of 2.14 - LilyPond 2.13.46 released!  @emph{Jan 12, 2011}

LilyPond 2.13.46 is out; this is the first release candidate of
the upcoming 2.14 stable release.  All users are invited to
experiment with this version.  New features since 2.12.3 are
listed in the @qq{Changes} manual on the website section about
@ref{Development}.

There are no known Critical issues with this release.  If no
Critical bugs are found, then the official 2.14.0 release will be
on 26 Jan 2011.  If you discover any problems, please send us
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading LilyPond 2.13.45 released!  @emph{Jan 3, 2011}

We are happy to announce the release of LilyPond 2.13.45.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.

@newsEnd




@newsItem
@subheading Beta test three of 2.14 -- LilyPond 2.13.44 released! @emph{Dec 25, 2010}

LilyPond 2.13.44 is out; this is the third beta test of the
upcoming 2.14 stable release.  Users are invited to experiment
with this version.  New features since 2.12.3 are listed in the
@qq{Changes} manual on the website section about
@ref{Development}.

There is still one Critical problem with this release: in one
case, the vertical spacing is much too compressed.  If you decide
to test this version, do not be surprised to discover problems;
just send us polite @ref{Bug reports}.

@newsEnd


@newsItem
@subheading Beta test two of 2.14 -- LilyPond 2.13.43 released! @emph{Dec 14, 2010}

LilyPond 2.13.43 is out; this is the second beta test of the
upcoming 2.14 stable release.  Users are invited to experiment
with this version.  New features since 2.12.3 are listed in the
@qq{Changes} manual on the website section about
@ref{Development}.

There is still one Critical problem with this release: in one
case, the vertical spacing is much too compressed.  If you decide
to test this version, do not be surprised to discover problems;
just send us polite @ref{Bug reports}.

@newsEnd


@newsItem
@subheading LilyPond 2.13.42 released!  @emph{Dec 8, 2010}

We are happy to announce the release of LilyPond 2.13.42.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.

Please note that this is @strong{not} the second beta test.  Due
to a number of untested changes to our build process, we cannot be
at all confident about the quality of this release.

@newsEnd


@newsItem
@subheading LilyPond 2.13.41 released!  @emph{Dec 4, 2010}

We are happy to announce the release of LilyPond 2.13.41.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.

Please note that this is @strong{not} the second beta test.  Due
to a number of untested changes to our build process, we cannot be
at all confident about the quality of this release.

@newsEnd


@newsItem
@subheading LilyPond 2.13.40 released!  @emph{Nov 21, 2010}

We are happy to announce the release of LilyPond 2.13.40.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.

Please note that this is @strong{not} the second beta test.  Due
to a number of untested changes to our build process, we cannot be
at all confident about the quality of this release.

@newsEnd


@newsItem
@subheading Beta test one of 2.14 -- LilyPond 2.13.39 released! @emph{Nov 15, 2010}

LilyPond 2.13.39 is out; this is the first beta test of the
upcoming 2.14 stable release.  Users are invited to experiment
with this version.  New features since 2.12.3 are listed in the
@qq{Changes} manual on the website section about
@ref{Development}.

There are still some Critical problems with this release: the
vertical spacing is suspicious in two cases, and lilypond can
crash with some odd input.  If you decide to test 2.13.39, do not
be surprised to discover problems; just send us polite
@ref{Bug reports}.

@newsEnd




@newsItem
@subheading The LilyPond Report #22. @emph{Nov 3, 2010}

The @emph{LilyPond Report} is back, with some surprises and exciting
news for the whole LilyPond community!  To be found in this issue is
an up-to-date, complete list of all LilyPond mailing lists and forums
around the world.  Also, for the very first time our special guest
today is LilyPond’s co-founder and core developer
@strong{Jan Nieuwenhuizen}, who has been busy these past months --
read on to find out what for!

Come
@uref{https://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-22, read
LilyPond Report 22} now; comments and contributions are
warmly encouraged!

@newsEnd


@newsItem
@subheading Alpha test four of 2.14 -- LilyPond 2.13.38 released!  @emph{Oct 31, 2010}

LilyPond 2.13.38 is out; this is the fourth alpha test of the
upcoming 2.14 stable release.  Users are invited to experiment
with this version.  New features since 2.12.3 are listed in the
@qq{Changes} manual on the website section about
@ref{Development}.

There are still some Critical problems with this release: the
vertical spacing is suspicious in two cases, and lilypond can
crash with some odd input.  If you decide to test 2.13.38, do not
be surprised to discover problems; just send us polite
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading Alpha test three of 2.14 -- LilyPond 2.13.37 released!  @emph{Oct 25, 2010}

LilyPond 2.13.37 is out; this is the third alpha test of the
upcoming 2.14 stable release.  Users are invited to experiment
with this version.  New features since 2.12.3 are listed in the
@qq{Changes} manual on the website section about
@ref{Development}.

There are still some Critical problems with this release: the
vertical spacing is suspicious in two cases, and lilypond can
crash with some odd input.  If you decide to test 2.13.37, do not
be surprised to discover problems; just send us polite
@ref{Bug reports}.

@newsEnd


@newsItem
@subheading LilyPond 2.13.36 released!  @emph{Oct 19, 2010}

We are happy to announce the release of LilyPond 2.13.36.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.

Please note that this is @strong{not} the third alpha test.  Due
to a number of untested changes to our build process, we cannot be
at all confident about the quality of this release.

@newsEnd

@newsItem
@subheading The LilyPond Report #21. @emph{Oct 3, 2010}

The @emph{LilyPond Report} is back, with its two
@qq{grumpy-and-fluffy} editors! This issue mainly deals with
microtonal notation in LilyPond, but does also include a how-to
about running LilyPond from an USB key, not to forget the regular
release news, the bug report of the Report, and some news from
the frog pond!

Come
@uref{https://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-21, read
LilyPond Report 21} now; comments and contributions are
warmly encouraged!

@newsEnd


@newsItem
@subheading Alpha test two of 2.14 -- LilyPond 2.13.35 released!  @emph{Sep 29, 2010}

LilyPond 2.13.35 is out; this is the second alpha test of the
upcoming 2.14 stable release.  Users are invited to experiment
with this version.  New features since 2.12.3 are listed in the
@qq{Changes} manual on the website section about
@ref{Development}.

Three known regressions against 2.12.3 still exist:
@uref{https://code.google.com/p/lilypond/issues/detail?id=1173,
Issue 1173 MetronomeMarks cannot be aligned on a note if a
multi-measure rest exists in another voice}, and two spacing
bugs:
@uref{https://code.google.com/p/lilypond/issues/detail?id=1240,
Issue 1240} and
@uref{https://code.google.com/p/lilypond/issues/detail?id=1252,
Issue 1252}.  If you decide to test 2.13.35, do not be surprised
to discover problems; just send us polite @ref{Bug reports}.

@newsEnd


@newsItem
@subheading Alpha test of 2.14 -- LilyPond 2.13.34 released!  @emph{Sep 21, 2010}

LilyPond 2.13.34 is out; this is the first alpha test of the
upcoming 2.14 stable release.  Users are invited to experiment
with this version.  New features since 2.12.3 are listed in the
@qq{Changes} manual on the website section about
@ref{Development}.

One known regression against 2.12.3 still exist:
@uref{https://code.google.com/p/lilypond/issues/detail?id=1173,
Issue 1173 MetronomeMarks cannot be aligned on a note if a
multi-measure rest exists in another voice}, but we expect to find
more.  If you decide to test 2.13.34, do not be surprised to
discover problems; just send us polite @ref{Bug reports}.

@newsEnd


@newsItem
@subheading LilyPond 2.13.33 released!  @emph{Sep 10, 2010}

We are happy to announce the release of LilyPond 2.13.33.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.

@newsEnd




@newsItem
@subheading LilyPond 2.13.32 released!  @emph{Sep 3, 2010}

We are happy to announce the release of LilyPond 2.13.32.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.

@newsEnd


@newsItem
@subheading LilyPond Report #20.  @emph{Sep 2, 2010}

The @emph{LilyPond Report} is back, with its two
@qq{grumpy-and-fluffy} editors! This issue contains a review of an
online notation editor using lilypond, along with the regular
release news, snippet of the report, news from the frog pond, and
the bug report of the report!

Come
@uref{https://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-20, read
LilyPond Report 20} now; comments and contributions are
warmly encouraged!
@newsEnd


@newsItem
@subheading LilyPond 2.13.31 released!  @emph{Aug 24, 2010}

We are happy to announce the release of LilyPond 2.13.31.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.

@newsEnd


@newsItem
@subheading LilyPond 2.13.30 released!  @emph{Aug 13, 2010}

We are happy to announce the release of LilyPond 2.13.30.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.

@newsEnd


@newsItem
@subheading LilyPond Report #19.  @emph{Aug 9, 2010}

The @emph{LilyPond Report} is back, with its two
@qq{grumpy-and-fluffy} editors! This issue contains some
conference news, along with the regular release news, snippet of
the report, news from the frog pond, and the bug report of the
report!

Come
@uref{https://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-19, read
LilyPond Report 19} now; comments and contributions are
warmly encouraged!
@newsEnd




@newsItem
@subheading LilyPond 2.13.29 released!  @emph{Aug 4, 2010}

We are happy to announce the release of LilyPond 2.13.29.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.

This release radically changes the autobeaming rules, so use extra
caution and expect breakage.
@newsEnd


@newsItem
@subheading LilyPond 2.13.28 released!  @emph{July 13, 2010}

We are happy to announce the release of LilyPond 2.13.28.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.

This release includes some major untested changes to the windows
lilypad editor.  Windows users should not be using this release
because it is intended for developers only, but you ignore these
warnings and try it anyway, use extra caution.
@newsEnd


@newsItem
@subheading LilyPond 2.13.27 released!  @emph{July 5, 2010}

We are happy to announce the release of LilyPond 2.13.27.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.
@newsEnd


@newsItem
@subheading Testing our new website!  @emph{June 29, 2010}

We're testing our new website!  For the next 24 hours, the new
website will be the default website; after that, we will switch
back to the old website while we examine feedback and make
improvements to the new website.

Please send feedback to @code{lilypond-user}; you can find more
information on our page about @ref{Contact}.

@warning{There are a few known problems with translations.  If you
are a non-English speaker, you may prefer to view the old lilypond
website at:
@uref{https://lilypond.org/web/}}

@newsEnd


@newsItem
@subheading LilyPond 2.13.26 released!  @emph{June 26, 2010}

We are happy to announce the release of LilyPond 2.13.26.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.
@newsEnd

@newsItem
@subheading LilyPond 2.13.25 released!  @emph{June 20, 2010}

We are happy to announce the release of LilyPond 2.13.25.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.
@newsEnd


@newsItem
@subheading LilyPond 2.13.24 released!  @emph{June 14, 2010}

We are happy to announce the release of LilyPond 2.13.24.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.
@newsEnd


@newsItem
@subheading LilyPond 2.13.23 released!  @emph{June 3, 2010}

We are happy to announce the release of LilyPond 2.13.23.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.
@newsEnd

@newsItem
@subheading LilyPond 2.13.22 released!  @emph{May 27, 2010}

We are happy to announce the release of LilyPond 2.13.22.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.
@newsEnd

@newsItem
@subheading LilyPond 2.13.21 released!  @emph{May 12, 2010}

We are happy to announce the release of LilyPond 2.13.21.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.

This release should be of particular interest to package
maintainers: we have made a few changes to the configure script
and the required libraries.  Barring any urgent bug reports, this
is the build system and libraries that will be used for the next
stable release.
@newsEnd


@newsItem
@subheading LilyPond Report #18.  @emph{May 11, 2010}

The @emph{LilyPond Report} is back, with its two
@qq{grumpy-and-fluffy} editors! This issue will be filled
with emotion and coolness, paper bags and zigzag-ending
staves, plus the usual Frogs and Bugs.

Come
@uref{https://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-18, read
LilyPond Report 18} now; comments and contributions are
warmly encouraged!
@newsEnd



@newsItem
@subheading LilyPond 2.13.20 released!  @emph{May 5, 2010}

We are happy to announce the release of LilyPond 2.13.20.  This
release contains the usual number of bugfixes.  However, a number
of critical issues still remain, so this release is intended for
developers only.

Minor syntax change: the undocumented @code{\cresc} and
@code{\decresc} have changed.  In addition, the [options] for the
LaTeX mode of @code{lilypond-book} now comes after the
@code{@{lilypond@}}, following normal LaTeX practice.  As always,
see the Changes document for more information.
@newsEnd

@newsItem
@subheading LilyPond 2.13.19 released!  @emph{April 24, 2010}

We are happy to announce the release of LilyPond 2.13.19.  This
release contains the usual number of bugfixes.  However, 11
critical issues still remain, so this release is intended for
developers only.
@newsEnd

@newsItem
@subheading LilyPond 2.13.18 released!  @emph{April 16, 2010}

We are happy to announce the release of LilyPond 2.13.18.  This
release contains the usual number of bugfixes, along with improved
website translations.  However, 14 critical issues still remain,
so this release is intended for developers only.
@newsEnd

@newsItem
@subheading LilyPond 2.13.17 released!  @emph{April 2, 2010}

We are happy to announce the release of LilyPond 2.13.17.  This
release includes bugfixes for 4 critical issues.  However, 15
critical issues still remain, so this release is intended for
developers only.
@newsEnd

@newsItem
@subheading LilyPond 2.13.16 released!  @emph{March 15, 2010}

We are happy to announce the release of LilyPond 2.13.16.  This
release is intended for developers only, and includes the usual
round of bugfixes.
@newsEnd

@newsItem
@subheading LilyPond 2.13.15 released!  @emph{March 4, 2010}

We are happy to announce the release of LilyPond 2.13.15.  This
release is intended for developers only, and includes a few
updates to the binary build process in addition to the usual round
of bugfixes.
@newsEnd


@newsItem
@subheading LilyPond Report #17.  @emph{March 1, 2010}

Yay, the Report is back, with a new team! It has been said that
two heads are better than one — does it apply to newsletters as
well? Read on and let us know! In this issue we’ll talk about
websites and poetry, frogs and bugs, not to mention an extensive
review of the Frescobaldi editor!

What are you waiting for?  Come
@uref{https://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-17, read
LilyPond Report 17} now!
@newsEnd


@newsItem
@subheading LilyPond 2.13.14 released!  @emph{February 27, 2010}

We are happy to announce the release of LilyPond 2.13.14.  This
release is intended for developers only, and includes a large
translation update in addition to the usual round of bugfixes.
@newsEnd

@newsItem
@subheading LilyPond 2.13.13 released!  @emph{February 13, 2010}

We are happy to announce the release of LilyPond 2.13.13.  This
release is intended for developers only, and fixes various
problems with documentation build system as well as adding an
output-preview-framework for our SVG backend.  In addition, the
binaries are now approximately 6 megabytes smaller.
@newsEnd


@newsItem
@subheading LilyPond 2.13.12 released!  @emph{February 2, 2010}

We are happy to announce the release of LilyPond 2.13.12.  This
release is intended for developers only, and brings more stability
and fewer bugs to the build system and Contributor's Guide.
@newsEnd

@newsItem
@subheading LilyPond 2.13.11 released!  @emph{January 16, 2010}

We are happy to announce the release of LilyPond 2.13.11.  This
release is intended for developers only, and brings a number of
improvements to the build system, Contributor's Guide, and fixes 4
critical regressions against earlier versions.
@newsEnd

@newsItem
@subheading LilyPond 2.13.10 released!  @emph{December 31, 2009}

We are happy to announce the release of LilyPond 2.13.10.  This
release is intended for developers only, and brings a number of
improvements such as predictable regression test output filenames
and English names for feta filenames.

@newsEnd


@newsItem
@subheading LilyPond 2.12.3 released!  @emph{December 20, 2009}

We are happy to announce the release of LilyPond 2.12.3.  This
version contains the long-awaited fix for our GUI on MacOS X 10.5
and 10.6.  In addition to the GUI fixes, this version contains
dozens of bugfixes backported from the unstable development
version.

We recommend that all users upgrade to this version.  This is the
last planned release in the 2.12 stable series; development now
shifts towards the upcoming 2.14 series.

@newsEnd


@newsItem
@subheading LilyPond 2.13.9 released!  @emph{December 12, 2009}

LilyPond 2.13.9 is now out.  From 2.13.9 onwards, LilyPond is
licensed under the GNU GPL v3+ for code, and the GNU FDL 1.3+ for
documentation.  In addition to the usual round of bugfixes, this
release adds a shortcut for repeated chords.

Please note that 2.13 is an @strong{unstable development} branch;
normal users should continue to use 2.12.

@newsEnd

@newsItem
@subheading New Website!  @emph{October 3, 2009}

As you can see, we have a new website design.  Many thanks to
texi2html and CSS for being so flexible!

@newsEnd


@newsItem
@subheading LilyPond Report #16.  @emph{September 6, 2009}

The LilyPond Report is back! This short, informal opinion column is
about the LilyPond project: its team, its world, its community.
Read @uref{https://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-16, issue 16}
now!

@newsEnd


@newsItem
@subheading LilyPond 2.13.3.  @emph{July 2, 2009}

This unstable release contains working menus in OSX 10.5; many
thanks to Christian Hitz for fixing this long-standing problem!
This release also contains numerous other bugfixes and features
such as ties with variable thickness, partially dashed slurs, and
eyeglasses.@*
We are planning another 2.12 release in the next week or two,
which will include the menu fixes for OSX 10.5.  Normal users may
wish to wait for this release rather than using an unstable
release.@*
@ref{Changes},
@ref{Development}.
@newsEnd


@newsItem
@subheading A LilyPond weboldala magyarul.  @emph{May 22, 2009}

Elkészült a lilypond.org nagy részének magyar fordítása a LilyPond
honosítási projekt első lépéseként. A projekt célja a LilyPond
szabad kottaszedő szoftver minél széleskörűbben elérhetővé tétele
a magyar felhasználók számára a teljes weboldal és dokumentáció
lefordítása révén. A teljes dokumentáció lefordításához
közreműködőket keresünk. Ha részt vennél a honosításban, küldj egy
e-mailt a @code{harmathdenes AT gmail.com} címre!@*
Harmath Dénes, a LilyPond honosítási projekt
vezetője
@newsEnd


@newsItem
@subheading The LilyPond Report #15.  @emph{May 18, 2009}

The @emph{LilyPond Report} is a short, informal opinion column about the LilyPond project:
its team, its world, its community.
Follow @uref{https://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-15,this link}
to read the full issue...
@newsEnd


@newsItem
@subheading The LilyPond Report #14.  @emph{April 13, 2009}

The @emph{LilyPond Report} is back, on a new website!
This short, informal, weekly opinion column is about the LilyPond project: its team, its world, its community.
Follow @uref{https://web.archive.org/web/20110325004849/http://news.lilynet.net/?The-LilyPond-Report-14,this link} to read the full issue...
@newsEnd


@newsItem
@subheading LilyPond 2.12.2 and 2.13.0 — @emph{March 21, 2009}

As a very belated announcement, the stable version of LilyPond is
now 2.12.2, and the next development version has begun with
2.13.0.
@newsEnd


@newsItem
@subheading LilyPond 2.12.0 @qq{Rune} — @emph{December 27, 2008}

A new stable release of LilyPond is available.
@*
@miscLink{announce-v2.12,Announcement},
@ref{Changes},
@ref{Download}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.65 — Release Candidate.  @emph{December 2, 2008}

This release has improvements to MusicXML import, contributed by
Reinhold Kainhofer, and adds support for splitting a book in several
book parts, contributed by Nicolas Sceaux.
Nested contexts of the same type are now allowed with any depth, and
overriding nested properties can be done with list syntax, thanks to
Neil Puttock.
This is hopefully the last Release Candidate before stable release 2.12,
so you are welcome to test this release if you can to report new
issues.@*
@bugfixes{2_11_65,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.64.  @emph{November 18, 2008}

LilyPond 2.11.64 is available. MusicXML import has been improved,
including church modes support, and a few bugs in the compilation
and documentation building processes are fixed.  The three
documentation manuals are now fully translated in Spanish, thanks
to Francisco Vila.  The font cache problem in Windows binaries
which used to cause excessive slowness should be fixed.
@*
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.63.  @emph{October 29, 2008}

LilyPond 2.11.63 is available. This release has lots of updates to the
documentation and translations.
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.62 -- Release Candidate.  @emph{October 11, 2008}

LilyPond 2.11.62 is available. This is is one of the last releases
before 2.12, so testing it is encouraged. In addition to a bugfix
in @code{\tempo} command, this release has lot of updates
to Spanish and German documentation translations, and the
stylesheet for HTML documentation has been improved.
@*
@bugfixes{2_11_62,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.61 available.  @emph{October 1, 2008}

LilyPond 2.11.61 has been released. It has updates to
documentation translations, and a new automatic accidentals style
(teaching) has been added.
@*
@bugfixes{2_11_61,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.60 available.  @emph{September 25, 2008}

LilyPond 2.11.60 has been released. A new style of double repeat
bar line has been added, and @code{printallheaders} variable in
score block has been renamed to @code{print-all-headers}.
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.59 available.  @emph{September 20, 2008}

Release 2.11.59 is out. LilyPond now uses 64 bit integers for
rational numbers, which allows typesetting more complex polymetric
music.  This release also has updates to German and Spanish
translations of the documentation.
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.58 available.  @emph{September 13, 2008}

LilyPond 2.11.58 is a beta release, which means the next stable
release is expected in a few weeks.  This release is also special,
as it includes code which supports more flexible automatic
accidentals rules, written several months ago by Rune Zedeler,
deceased since then.  All the development team express their
condolences to his family and his friends.  Besides this,
automatic beaming has been improved by Carl Sorensen, support
for creating stem flags in a new style has been contributed by
Reinhold Kainhofer, and a few bugs have been fixed.
@*
@bugfixes{2_11_58,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.57 available.  @emph{August 27, 2008}

LilyPond 2.11.57 is out.  This release adds support for harp pedal
diagrams, contributed by Reinhold Kainhofer, and some changes in
markup command names have been made.
@*
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.56 available.  @emph{August 17, 2008}

LilyPond 2.11.56 is out.  This release features transposable fret
diagrams, contributed by Carl Sorensen.  Translations status pages
are now available from the documentation start page.  Two
predefined commands @code{\pointAndClickOn},
@code{\pointAndClickOff} have also been added.
@*
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.55 available.  @emph{August 6, 2008}

LilyPond 2.11.55 is out.  This release fixes several bugs, and for octavation brackets
@code{set-octavation} has been replaced by a more user-friendly command, @code{\ottava}.
@*
@bugfixes{2_11_55,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.54 available.  @emph{July 30, 2008}

LilyPond 2.11.54 is out.  This release fixes a bug in tie formatting
following a line break, and changes the behavior of @code{short-indent}
so that short instrument names are no longer indented in the margin.
@*
@bugfixes{2_11_54,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.53 available.  @emph{July 23, 2008}

LilyPond 2.11.53 is out.  This release fixes a lot of bugs.
@*
@bugfixes{2_11_53,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.52 available.  @emph{July 14, 2008}

Release 2.11.52 fixes wrong offset of a bar number when it follows
a breath mark, and syntax changes made in recent development
releases are now fully listed on the News page.
@*
@bugfixes{2_11_52,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.51 available.  @emph{July 8, 2008}

Release 2.11.51 has a couple of bugfixes, and a lot of changes in
predefined command names.  Fret diagrams formatting has been
improved by Carl Sorensen, it is now controlled
by @code{fret-diagram-details} property.
@*
@bugfixes{2_11_51,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.50 available.  @emph{July 2, 2008}

Release 2.11.50 adds support for metronome marks with text, and
backslashed numbers for figured bass, contributed by
Reinhold Kainhofer.
@*
@bugfixes{2_11_50,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading The LilyPond Report #13.  @emph{June 23, 2008}

This short, informal, weekly opinion column is about the LilyPond project: its team, its world, its community.
Follow @uref{https://web.archive.org/web/20120220123759/http://news.lilynet.net/?The-LilyPond-Report-13,this link} to read the full issue...
@newsEnd


@newsItem
@subheading The LilyPond Report #12.  @emph{June 16, 2008}

This short, informal, weekly opinion column is about the LilyPond project: its team, its world, its community.
Follow @uref{https://web.archive.org/web/20120220123754/http://news.lilynet.net/?The-LilyPond-Report-12,this link} to read the full issue...
@newsEnd


@newsItem
@subheading LilyPond 2.11.49 released.  @emph{June 12, 2008}

LilyPond 2.11.49 is out.  It fixes a number of bugs, including bugs in beams formatting.
@*
@bugfixes{2_11_49,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.48 released.  @emph{June 9, 2008}

LilyPond 2.11.48 is out.  This release fixes a few bugs, and
@code{\compressMusic} has been renamed
to @code{\scaleDurations}.
@*
@bugfixes{2_11_48,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading The LilyPond Report #11.  @emph{June 9, 2008}

This short, informal, weekly opinion column is about the LilyPond project: its team, its world, its community.
Follow @uref{https://web.archive.org/web/20120220123750/http://news.lilynet.net/?The-LilyPond-Report-11,this link} to read the full issue...
@newsEnd


@newsItem
@subheading The LilyPond Report #10.  @emph{June 2, 2008}

Welcome to this special tenth issue of the @emph{LilyPond Report}, entirely dedicated to Algorithmic Composition systems.@*
Follow @uref{https://web.archive.org/web/20120220123743/http://news.lilynet.net/?The-LilyPond-Report-10,this link} to read the full issue...
@newsEnd


@newsItem
@subheading LilyPond 2.11.47 released.  @emph{May 28, 2008}

LilyPond now allows all text context properties to be markups,
except in @code{\lyricmode}.  This release also fixes
regression tests maintenance for developers.
@*
@bugfixes{2_11_47,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.46 available.  @emph{May 22, 2008}

Release 2.11.46 fixes a lot of bugs and includes a rewrite of
dynamics engravers.  Support for slur-shaped arpeggios has been added.
@*
@bugfixes{2_11_46,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading RSS feed - @emph{May 21, 2008}

A RSS feed is now available on lilypond.org.  It contains all
news announced on the web site start page: releases, LilyPond
report, new translations of the site and publications.
@uref{https://lilypond.org/web/lilypond-rss-feed.xml,Feed URL}.
The info mailing list (see @ref{Contact}) is still used to
announce releases and special events.
@newsEnd


@newsItem
@subheading The LilyPond Report #9.  @emph{May 05, 2008}

Welcome to this ninth issue of the @emph{LilyPond Report}!@*
This short, informal, weekly opinion column is about the LilyPond project: its team, its world, its community.
Follow @uref{https://web.archive.org/web/20120220123946/http://news.lilynet.net/?The-LilyPond-Report-9,this link} to read the full issue...
@newsEnd


@newsItem
@subheading LilyPond 2.11.45 available.  @emph{April 26, 2008}

Release 2.11.45 fixes a couple of bugs in the formatting
engine. @code{lilypond-book} has been improved, with better
performance, a bugfix about included files, and more flexibility
for preprocessing documents with LaTeX variants. Support for
enclosing text in a rounded box has been contributed by Valentin
Villenave.
@*
@bugfixes{2_11_45,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.44 available.  @emph{April 14, 2008}

Release 2.11.44 is available. Support for figured bass and chord
names has been added to the MusicXML
converter.
@*
@bugfixes{2_11_44,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading lilypond.org日本語訳 (lilypond.org Japanese translation).  @emph{2008年4月8日 (April 4, 2008)}

lilypond.orgのいくつかのページの日本語訳が出来ました。
@newsEnd


@newsItem
@subheading LilyPond 2.11.43 available.  @emph{March 31, 2008}

Release 2.11.43 has been available since March 27. It fixes a
couple of formatting bugs, and the font cache problem with
MS-Windows binaries which caused excessive slowness has been
fixed.
@*
@bugfixes{2_11_43,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.42 available.  @emph{March 9, 2008}

Release 2.11.42 is out. It fixes some formatting and spacing
bugs.
@*
@bugfixes{2_11_42,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading Comparison of music engraving with Finale and LilyPond.  @emph{February 25, 2008}

In three articles, Andrew Hawryluk compares Finale and LilyPond in
general terms, and evaluates in detail engraving capabilities of
both pieces of software.  The second article is an instructive
analysis of Rachmaninoff's Piano Prelude 6 engraving, including
comparisons with a reference hand-engraved edition.
@uref{http://www.musicbyandrew.ca/finale-lilypond-1.html,Read
the articles}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.41 available.  @emph{February 25, 2008}

Release 2.11.41 is available. It has a few bugfixes, updated
program messages in French, German, Spanish and Vietnamese, and
updates to the MusicXML converter.
@*
@bugfixes{2_11_41,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.37 available.  @emph{January 3, 2008}

Release 2.11.37 is available. It has a few bugfixes, and
documentation changes. (@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.11.36 available.  @emph{December 13, 2007}

Release 2.11.36 is now available. It has many bugfixes, updates
for MusicXML import, and it includes major documentation changes from
Grand Documentation Project.
@*
@bugfixes{2_11_36,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.33 and 2.11.33 available.  @emph{September 20, 2007}

Release 2.11.33 is now available.
@*
@bugfixes{2_10_33,2.10},
@bugfixes{2_11_33,2.11},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.32 available.  @emph{September 2, 2007}

Release 2.11.32 is now available.
@*
@bugfixes{2_11_32,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.31 available.  @emph{August 31, 2007}

Release 2.11.31 is now available. It has more bugfixes, updates
for MusicXML import and lots of updates for the translations.
@*
@bugfixes{2_11_31,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.30 available.  @emph{August 20, 2007}

Release 2.11.30 is now available. It has various bugfixes among
others in the new spacing code, MusicXML import and lots of updates
for the translations.
@*
@bugfixes{2_11_30,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.29 and 2.11.29 available.  @emph{August 11, 2007}

Release 2.11.29 is now available. 2.10.29 has a few small fixes.
2.11.29 has several bugfixes, among others in the new spacing code,
and lots of updates for the translations.
@*
@bugfixes{2_10_29,2.10},
@bugfixes{2_11_29,2.11},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.28 for FreeBSD x86_64.  @emph{August 10, 2007}

Release 2.11.28 is now available as a binary installer for
FreeBSD x86_64.  Download
@uref{https://lilypond.org/downloads/binaries/freebsd-64/,the installer} and
do @emph{sh lilypond-2.11.28-1.freebsd-64.sh} in a command window.
@newsEnd


@newsItem
@subheading LilyPond 2.11.28 available - @emph{July 25, 2007}
Release 2.11.28 has several updates to the manual and its
translations,  an plethora of bugfixes and a complete cleanup of the
spacing engine code.
@*
@bugfixes{2_11_28,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.26 available - @emph{June 8, 2007}

Release 2.11.26 supports page markers, e.g., for use in
tables-of-contents.  In addition, it fixes a number of bugs. Enjoy!
@*
@bugfixes{2_11_26,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.25 and 2.11.25 available - @emph{May 20, 2007}

Release 2.11.25 has support for toplevel page breaking commands,
and page breaking as a whole has been sped up significantly. Enjoy!
@*
@bugfixes{2_10_25,2.10},
@bugfixes{2_11_25,2.11},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.23 and 2.11.23 available - @emph{May 1, 2007}
This has lots of bugfixes.
@*
@bugfixes{2_10_23,2.10},
@bugfixes{2_11_23,2.11},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading Übersetzung der Dokumentation - @emph{10. April 2007}
Die Kapitel 1-5 (der Abschnitt für Anfänger) des LilyPond-Benutzerhandbuchs
sind auf deutsch übersetzt --- sie sind erhältlich für die @ref{Changes}
online und @ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.22 available - @emph{April 10, 2007}
This release has updates of the dot collision code.
@*
@bugfixes{2_11_22,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.21 available - @emph{March 24, 2007}
This release has some documentation updates.
@*
@bugfixes{2_11_21,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading Traduction de la documentation en français - @emph{25 février 2007}
Les chapitres 1 à 4 et 6 du manuel de l'utilisateur sont désormais traduits, et
disponibles en ligne ---
@uref{https://lilypond.org/doc/v2.10/Documentation/user/lilypond/index.fr.html,version 2.10},
@uref{https://lilypond.org/doc/v2.11/Documentation/user/lilypond/index.fr.html,version 2.11}.
Les traductions sont également incluses dans la
@uref{install,documentation téléchargeable}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.20 and 2.11.20 available - @emph{February 25, 2007}
This release fixes many bugs.
@*
@bugfixes{2_10_20,2.10},
@bugfixes{2_11_20,2.11},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.19 and 2.11.19 available - @emph{February 18, 2007}
This release fixes many bugs.
@*
@bugfixes{2_10_19,2.10},
@bugfixes{2_11_19,2.11},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.18 available - @emph{February 12, 2007}
This release fixes still more bugs, and included
singing support through festival contributed by Milan Zamazal.
@*
@bugfixes{2_11_18,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond  2.11.17 available - @emph{February 9, 2007}
This release fixes still more bugs.
@*
@bugfixes{2_11_17,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.16 and 2.11.16 available - @emph{February 4, 2007}
This release fixes many bugs.
(@bugfixes{2_10_16,2.10},
@bugfixes{2_11_16,2.11},
@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.10.15 and 2.11.15 available - @emph{February 1, 2007}
This release will stretch piano staves on a
system-by-system basis and add a few glyphs: a black harmonic note
head and the slashed mirrored flat.
@*
@bugfixes{2_10_15,2.10},
@bugfixes{2_11_15,2.11},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.14 and 2.11.14 available - @emph{January 26, 2007}
This release has a rewrite of the line-spanner code, responsible for
among other glissandi and text-crescendos, making them more flexible.
@*
@bugfixes{2_11_14,},
@ref{Changes},
@ref{Old downloads}
@newsEnd


@newsItem
@subheading LilyPond 2.10.13 and 2.11.13 available - @emph{January 17, 2007}
This release fixes a few minor but irritating bugs. In addition, the
2.11 release has updates of the tutorial.
@*
@bugfixes{2_11_13,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.12 available - @emph{January 17, 2007}
This release fixes lots of bugs. In particular, the tie formatting has
been further improved, and memory usage has been improved enormously.
@*
@bugfixes{2_11_12,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.12 available - @emph{January 17, 2007}
This release mirrors 2.11.12. Notably, it has the same memory
usage improvements.
@*
@bugfixes{2_10_12,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.11 available - @emph{January 12, 2007}
This release mostly has the same fixes as 2.11.11.
@*
@bugfixes{2_10_11,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.11 available - @emph{January 11, 2007}
This release has further fixes for popular bugs. Timing of the MIDI
output won't get confused by tuplets and grace notes anymore. Some fat
has also been trimmed of the skyline code performance.
@*
@bugfixes{2_11_11,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.10 available - @emph{January 8, 2007}
LilyPond 2.11.10 has further review of the test-suite, performance and
code coverage. This brought to light several problems that were
fixed.  Notably, 2.11.10 fixes lots of regressions in optical
correction spacing and MIDI dynamics.  Also, this version is 20 to 50
% faster than previous 2.11 releases.
@*
@bugfixes{2_11_10,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.10 available - @emph{January 8, 2007}
This release fixes several popular bugs, among others: MIDI files
that go silent after (de)crescendi, and tuplets problems with quoting
and part-combining.
@*
@bugfixes{2_10_10,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.9 and 2.10.9 available - @emph{January 3, 2007}
This release has a couple of bugfixes, and ---in 2.11.9---
further improvements in the regression test suite
@*
@bugfixes{2_11_9,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.8 and 2.10.8 available - @emph{January 3, 2007}
New! Improved! With even more bugfixes!
@*
@bugfixes{2_11_8,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading @code{lilypond.org} auf deutsch - @emph{31. Dezember 2006}
Die LilyPond-Webseiten sind jetzt auch auf deutsch übersetzt!
@newsEnd


@newsItem
@subheading @code{lilypond.org} en español - @emph{December 29, 2006}
¡Ya está disponible la versión en español del sitio web de LilyPond!
@newsEnd


@newsItem
@subheading LilyPond 2.11.7 and 2.10.7 available - @emph{January 1, 2007}
New! Improved! With even more bugfixes!
@*
@bugfixes{2_11_7,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.6 available - @emph{December 30, 2006}
This release supports arbitrary fractional alterations, allowing
music with different microtonal conventions to be typeset.
@*
@bugfixes{2_11_6,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.6 available - @emph{December 30, 2006}
New! Improved! With even more bugfixes!
@*
@bugfixes{2_10_6,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.5 available - @emph{December 24, 2006}
These releases complete the translation infrastructure for
Documentation.
@*
@bugfixes{2_11_5,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.5 available - @emph{December 24, 2006}
New! Improved! With even more bugfixes!
@*
@bugfixes{2_10_5,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.4 available - @emph{December 21, 2006}
The vertical spacing improvements that were introduced in 2.11.0 now work
within a system as well as between systems.
@*
@bugfixes{2_11_4,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.3 available - @emph{December 19, 2006}
This release has @uref{https://lilypond.org/doc/v2.11/compare-v2.10.3/index.html,graphical
test results} and several website build improvements.
@*
@bugfixes{2_11_3,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.3 available - @emph{December 19, 2006}
This release fixes several bugs.
@*
@bugfixes{2_10_3,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LinuxPPC binaries available! - @emph{December 19, 2006}
From now on, our GUB binary builds include support for Linux/PPC.  (@ref{Old downloads})
@newsEnd


@newsItem
@subheading Traduction du tutoriel en français.  @emph{December 13, 2006}
Fruit du travail d'une équipe de traducteurs, le tutoriel en français est
maintenant disponible en ligne.
@uref{https://lilypond.org/doc/v2.10/Documentation/user/lilypond/Tutorial.fr.html,Version 2.10},
@uref{https://lilypond.org/doc/v2.11/Documentation/user/lilypond/Tutorial.fr.html,Version 2.11}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.2 available - @emph{December 12, 2006}
This release supports glissandi and harmonics in tablature.
@*
@bugfixes{2_11_2,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.2 available - @emph{December 12, 2006}
A new stable release of LilyPond is available.
@*
@bugfixes{2_10_2,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.1 available - @emph{December 4, 2006}
This release has improved support for horizontal spacing.
@*
@bugfixes{2_11_1,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.10.1 available - @emph{December 3, 2006}
A new stable release of LilyPond is available.
@*
@bugfixes{2_10_1,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.11.0 available - @emph{November 27, 2006}
This release has improved support for vertical spacing.  (@ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.10.0 available - @emph{November 11, 2006}
A new stable release of LilyPond is available.
(@miscLink{announce-v2.10,Announcement}, @ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading GIT repository online - @emph{November 11, 2006}
LilyPond development has moved over its source code to @uref{http://git.or.cz,GIT}, the fast version control
system. Check out our repository at @uref{https://git.sv.gnu.org/gitweb/?p=lilypond.git;a=summary,gnu.org}.
@newsEnd


@newsItem
@subheading LilyPond 2.9.29 available - @emph{November 5, 2006}
This release has many more bugfixes.
@*
@bugfixes{2_9_29,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.9.28 available - @emph{November 3, 2006}
This release has many more bugfixes.
@*
@bugfixes{2_9_28,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.9.27 available - @emph{October 28, 2006}
This release has a new @code{FretBoards} context, and some further
bugfixes.
@*
@bugfixes{2_9_27,},
@ref{Changes},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading Music streams thesis available - @emph{October 21, 2006}
The last months, Erik Sandberg has been overhauling the internals of
Lily. This change introduces a new intermediate format, Music Streams,
which will make it easier get music data out of LilyPond. A copy of
the thesis is now available from lilypond.org
(@ref{Publications}).
@newsEnd


@newsItem
@subheading LilyPond 2.9.26 available - @emph{October 20, 2006}
This release has further bugfixes.
@*
@bugfixes{2_9_26,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.9.25 available - @emph{October 18, 2006}
This release has more bugfixes; from now on, binaries are also
available for x86/64.
@*
@bugfixes{2_9_25,},
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading LilyPond 2.9.24 available - @emph{October 15, 2006}
This release has support for right hand guitar fingerings, and offers
some bugfixes.  (@ref{Changes},
@uref{https://code.google.com/p/lilypond/issues/list?can=1&q=fixed2924&colspec=ID+Type+Status+Priority+Milestone+Owner+Summary,Bugfixes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.23 available - @emph{October 12, 2006}
This release cuts fragments of EPS directly from your finished score,
and makes it easier to insert ties into lyrics. (@ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.22 available - @emph{October 9, 2006}
Test this release candidate for LilyPond 2.10!  (@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.21 available - @emph{October 4, 2006}
Test this release candidate for LilyPond 2.10!  (@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.20 available - @emph{October 3, 2006}
Test this release candidate for LilyPond 2.10!  (@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.17 available - @emph{September 2, 2006}
This release fixes many bugs. Among others, MacOS X QuickTime now
honors tempo changes are in the MIDI output.  (@ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.16 available - @emph{August 25, 2006}
In this release, chords may be partially tied and lyric extenders have
tunable padding. Moreover, many bugs were fixed
(@ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.15 available - @emph{August 20, 2006}
This releases fixes many bugs in the 2.9.14 release.  (@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.8.6 available - @emph{August 8, 2006}
This release contains a few minor bugfixes; the source tarball is also
available.  (@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.14 available - @emph{August 4, 2006}
This release supports instrument name changes, dotted barlines and
better spacing for floating grace notes. In addition, it contains
ongoing work by Erik Sandberg to extend the interpretation phase with
stream support.  (@ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.13 available - @emph{July 23, 2006}
This release supports doits and falls, and more tuning options for
grace note spacing and tuplet brackets.  (@ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.12 available - @emph{July 18, 2006}
This release supports @command{pdftex} for @command{lilypond-book}, and uses pdf@TeX{} for
generating manuals, so page numbers and references are now clickable.
(@ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.11 available - @emph{July 12, 2006}
This release wraps improvements of the last two weeks.  As a new
feature, it supports tunable tuplet number formatting for nested
tuplets.  (@ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.10 available - @emph{June 15, 2006}
This releases fixes a couple of  bugs in 2.9.9.
(@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.9 available - @emph{June 15, 2006}
This releases fixes many bugs in 2.9.8 and earlier.
(@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.8 available - @emph{June 6, 2006}
2.9.8 has support for different spacing sections within a single
score, and better infrastructure for automated regression testing.
(@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.8.4 available - @emph{June 4, 2006}
2.8.4 fixes some minor bugs, and includes a backport of the
infrastructure for automated regression testing.
(@ref{Old downloads})
@newsEnd


@newsItem
@subheading First test results available - @emph{June 4, 2006}
After a week of frantic tweaking, the first automated testing results
are available.  You can now see @uref{https://lilypond.org/doc/v2.9/compare-v2.8.4/index.html,in full
glory} what features are broken in the development release
@newsEnd


@newsItem
@subheading LilyPond 2.9.7 available - @emph{May 30, 2006}
2.9.7 has improvements in the formatting for figured bass, and
includes a new framework for detecting bugs earlier, which will make
the development releases even better
@newsEnd


@newsItem
@subheading LilyPond 2.9.6 available - @emph{May 24, 2006}
This
release has new features in beam formatting: beams may now be put on
single stems, and obey the @code{beatGrouping} property.  MusicXML
converter.  (@ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading New essay pages! - @emph{May 22, 2006}
The @emph{Automated Engraving} essay has been updated with material
from the @uref{http://fisl.softwarelivre.org,FISL} talk, with
pages on @uref{about/automated-engraving/problem-statement,modeling
notation} and @uref{about/automated-engraving/scoring-esthetics,algorithms for
esthetics}. Happy reading!
@newsEnd


@newsItem
@subheading LilyPond 2.9.5 available - @emph{May 17, 2006}
This release supports object rotation, hairpins with circled tips,
hairpins that run to barlines before notes and improvements in the
MusicXML converter.
(@ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.4 available - @emph{May 12, 2006}
This release has support for feathered beaming, and note head styles in
the markup @code{\note} command. In addition, it has a lot of updates
of the manual and a clean up of the spring spacer.
(@ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.8.2 available - @emph{May 12, 2006}
This release has fixes for minor bugs and compilation issues.
(@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.3 is out! - @emph{May 7, 2006}
This new release has lots of updates of the manual, courtesy Graham
and the contributors of the mailing. It handles formatting for ties in
arpegiated chords better (feature sponsored by
Steve Doonan), it has al niente hairpins, courtesy of Erlend Aasland,
and some cleanups of the PostScript output, courtesy David Feuer. (@ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading FISL7.0 slides available - @emph{April 22, 2006}
The slides for Han-Wen's talk at
@uref{http://fisl.softwarelivre.org,FISL 7} are now online.
(@ref{Publications})
@newsEnd


@newsItem
@subheading LilyPond 2.8.1 is out! - @emph{April 3, 2006}
Important bugfixes include CJK font handling and a Darwin/x86 port.
(@ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.9.1 is out! - @emph{April 3, 2006}
It's mostly a bugfix release, and it's almoste the same as 2.8.1. This
release mainly fixes problems with CJK font loading.
(@ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond on MacOS X/Intel - @emph{March 31, 2006}
LilyPond now also runs on Intel based macs, offering a 400%
speedup over the emulated PowerPC binaries.  (@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.8.0 is out! - @emph{March 22, 2006}
Version 2.8 is here! Read the @miscLink{announce-v2.8,release
announcement}.  (@ref{Changes}, @ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.39 is out - @emph{March 17, 2006}
This release has even more bug fixes. Please test before 2.8 is
released. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.38 is out - @emph{March 12, 2006}
This is likely to be the last release candidate before we release 2.8,
so report any bugs that you might find. New attractions include:
lilypond postscript files now work with GSView, cut & pasting lily
code from PDF files should now work, and spacing fixes for
multi-measure rests.
(@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.37 is out - @emph{March 4, 2006}
This release has more bug fixes. Please help us by testing it!
(@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.36 is out - @emph{February 24, 2006}
This is another release candidate for 2.8. It has lots of bug fixes
and polishes to the documentation.  It also contains support for
creating ties that are only on their right side connected to note
heads, which is handy for repeats (feature sponsored by Steve Doonan).
The documentation suite can now be downloaded as a separate tarball
from lilypond.org. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.35 is out - @emph{February 19, 2006}
This release has lots of bugs fixes. The plan is to release 2.8 at the
end of this month, so bug reports are @strong{very} welcome. By
definition a bug is release critical if it wasn't present in version
2.6. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.34 is out - @emph{February 16, 2006}
This release has a bunch of bugfixes, and new features. Newly created
contexts may also be named with @code{\new Voice =
"alto"}. Thicknesses of tie and slurs may be tuned separately for
the endings and the middle
part. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.33 is out - @emph{February 10, 2006}
Items directly connected with a music input element may be
parenthesized, for example,
@verbatim
{
  c4 -\parenthesize -.
  <d \parenthesize fis a>
}
@end verbatim

This feature was sponsored by Ramana Kumar. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.32 is out - @emph{February 7, 2006}
This release contains some syntax changes: words inside the \paper and
\layout block are henceforth written with dashes, for instance:

@verbatim
{
  \layout {
    ragged-right = ##t
  }
}
@end verbatim

Furthermore, in this release, we have dropped some legacy code from
our library. Now, lily uses standard C++ strings and the STL
vector. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.31 is out - @emph{February 2, 2006}
This release fixes a load of bugs, and has some internal
cleanups. Exported C++ members are now named
ly:class-name::function-name in Scheme instead of
Class_name::function_name. We are now using C++ vectors and strings
instead of our own. The Linux/FreeBSD builds now include wrappers for
Python scripts too, so you can run convert-ly and midi2ly.
(@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.30 is out - @emph{January 30, 2006}
This release has a few bug fixes, like the solfa note head shape and
collisions, the \epsfile command, and in getting No.@: ligature in
normal words. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.29 is out - @emph{January 27, 2006}
This release has the following new features. Alignments of staves may
be tuned per system (feature sponsored by Trevor Baca), individual
systems may be positioned manually (feature sponsored by Trevor Baca
and Nicolas Sceaux), a linebreaking configuration can now be saved as
a `.ly' file automatically. This allows vertical alignments to be
stretched to fit pages in a second formatting run (feature sponsored
by Trevor Baca and Nicolas
Sceaux). (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.28 is out - @emph{January 22, 2006}
This release contains numerous small fixes that were already in our
GUB binaries. In addition, it has further polish for formatting of
tied chords. Theses improvements were sponsored by Steve
Doonan. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.27, release 4 - @emph{January 13, 2006}

The fourth release of our Grand Unified Binary for 2.7.27 is
available.  This release uses Pango 1.11.1, which has support for
ligatures and kerning. Enjoy!  (@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.27, release 3 - @emph{January 12, 2006}
The third release of our Grand Unified Binaries is available.  This
release fixes external font-support, the decompression flag for
Linux. Also, we have support for @strong{FreeBSD} as well!  Jump
to the @ref{Old downloads} get them!
@newsEnd


@newsItem
@subheading LilyPond 2.7.27 binaries are out - @emph{January 7, 2006}
Starting with 2.7.26, the development team has been working on the
installers. We're proud to announce another version of these: they are
now available for
@uref{https://lilypond.org/downloads/binaries/linux-x86/,
Linux/x86},
@uref{https://lilypond.org/downloads/binaries/darwin-ppc/,
MacOS X} and
@uref{https://lilypond.org/downloads/binaries/mingw/,
Windows}.
@newsEnd


@newsItem
@subheading LilyPond 2.7.27 is out - @emph{January 7, 2006}
This release allows you to switch staff lines on and off individually
(feature sponsored by Andrea
Valle). (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading Linux Journal article - @emph{January 2006}
Linux Journal publishes an article on
@uref{https://www.linuxjournal.com/article/8364,@emph{Make
Stunning Schenker Graphs with GNU LilyPond}}.  It is a
in-depth but hands-on feature article with crisp LilyPond
graphics.
@*
Author Kris Shaffer remarks
@qq{GNU LilyPond generates beautiful graphics that make commercial
alternatives seem second-rate.}
This article is now available @uref{https://www.linuxjournal.com/article/8583,on-line}.
@newsEnd


@newsItem
@subheading New binaries for LilyPond 2.7.26 - @emph{January 4, 2006}
The Development team has been working around the clock to improve
to fix the first wave bugs reported by you.  The new results for MacOS
and Windows are up on the @ref{Old downloads}
page. Let us know how you fare!
@newsEnd


@newsItem
@subheading LilyPond 2.7.26 is out - @emph{December 31, 2005}
This release has an improvement in the MusicXML importer (feature
sponsored by Mark vd Borre's Music Academy): now, staves and voices
are also setup, so you can readily run LilyPond on the .ly output.
The important occasion for this release is our new build
environment: we have completely revamped it, which means that binaries
for all platforms (including MacOS, Windows, Linux/x86, but probably
FreeBSD too) will be more quickly available for download.
A happy 2006 from the LilyPond Development Team!
(@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.25 is out - @emph{December 24, 2005}
This release has various bugfixes. Also, stems on the center line now
have their directions interpolated to minimize the number of direction
changes (feature sponsored by Basil Crow and Mike
Rolish). (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.24 is out - @emph{December 20, 2005}
This release fixes a couple of bugs, but more importantly, slurs now
avoid TupletNumbers, and tuplet numbers may enter the staff (feature
sponsored by Trent Johnston), tuplet brackets and numbers are
implemented as separate grobs, TupletBracket and TupletNumber (rewrite
sponsored by Trent Johnston), string arguments for music functions may
be specified without # marks. This allows syntactical constructs (like
\clef and \bar) to be expressed in generic music
functions. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.23 is out - @emph{December 19, 2005}
This release has the following new features:
@itemize
@item
Ties in chords are also formatted using score based
formatting. This reduces the number of collisions for ties in chords
(feature sponsored by Steve Doonan).
@item
With the \tweak music function, layout objects that are directly
connected to input may be tuned easily (feature sponsored by Sean Reed
and Bertalan Fodor).
@item
Generic music functions may now also be used on
articulations and chord elements (feature sponsored by Sean Reed and
Bertalan Fodor).
@item
Better support for MusicXML, more options for spacing Lyrics;
it is now possible to separately specify minimum distances for normal
and hyphenated syllables (features sponsored by Mark van den Borre and
Bertalan Fodor.
@end itemize
(@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.22 is out - @emph{December 9, 2005}
This release has better support for MusicXML: it also supports ties,
beams and editorial accidentals. It also has more options for spacing
Lyrics; it is now possible to separately specify minimum distances for
normal and hyphenated syllables. These features were sponsored by Mark
van den Borre and Bertalan
Fodor. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.21 is out - @emph{December 5, 2005}
Saint Nicholas brings you ... a @uref{http://www.musicxml.org/,MusicXML} convertor for LilyPond!
The convertor is basic, but working. Check out the @uref{http://www.lilypond-design.com/sponsor/open-features.html#inputfilter,
LilyPond Software Design} pages for MusicXML features that can be
sponsored.
@newsEnd


@newsItem
@subheading LilyPond 2.7.20 is out - @emph{December 2, 2005}
This release contains the following improvements: Texts set in a
TrueType font are now kerned. Using the TeX no longer requires linking
or dynamically opening the kpathsea library, making the backend more
easily usable on various systems (feature sponsored by Christian Ebert
of Black Trash
Productions). (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.6.5 is out - @emph{December 1, 2005}
This release updates the bugreporting address and reorganizes the
documentation tree. (@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.19 is out - @emph{November 26, 2005}
This version contains a few bugfixes, and now allows the type of
brackets in system start bracket hierarchies to be specified. Also,
the horizontal alignment of rehearsal marks may be changed: marks can
be put on key signatures, clefs, time signatures,
etc. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.18 is out - @emph{November 21, 2005}
This version features nestable system start delimiters, like bracket,
brace. It also adds "square" line bracket (feature sponsored by Trevor
Baca). It also has refactored routines for tie formatting. This will
make it easier to get better tie formatting for chords (feature
sponsored by Steve Doonan). It also has a few bug
fixes. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.17 is out - @emph{November 17, 2005}
This version has refactored routines for tie formatting. This will
make it easier to get better tie formatting for chords (feature
sponsored by Steve Doonan). It also has a few bug
fixes. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.16 is out - @emph{November 11, 2005}
This release fixes a large number of bugs. Please upgrade before
reporting bugs in the 2.7 series. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.15 is out - @emph{November 3, 2005}
This release has another massive cleanup of the backend.  Each grob
property may also be a "grob closure". This means that it is possible
to combine functions. Calculation of extent and offset of grob is now
controlled via the `X-extent', `Y-extent', `X-offset' and `Y-offset'
properties. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.14 is out - @emph{October 23, 2005}
This release has more cleanup in the layout-engine. Now,
properties that have Procedure values are thought to be procedures
that compute said property, i.e.
@verbatim

\override Beam #'direction = #(lambda (grob)
(if (> (random 10) 5) UP DOWN))

@end verbatim
will set  a random direction for beams. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.13 is out - @emph{October 18, 2005}
This release features slashed numerals, plus signs and interruptible
extender lines for figured bass. Merging of Figured bass lines has
been made switchable with the figuredBassCenterContinuations
property. For each grob, a subproperty in `callbacks' property defines
the procedure which computes it. This is major internal cleanup, which
also provides advanced tweakability for power
users. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.6.4 is out - @emph{October 11, 2005}
This release fixes a few minor problems with the stable
series. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.12 is out - @emph{October 07, 2005}
It features more annotations for the page layout engine and some more
sponsored features. Beamlets may stick out of the side of beams
(feature sponsored by Trevor Baca); new support for figured bass with
support for continuation lines and tuning of figures, brackets, and
alignments (feature sponsored by Trent Johnston); vertical alignments
of staves can now be tuned easily for individual systems (feature
sponsored by Nicolas
Sceaux). (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.11 is out - @emph{October 02, 2005}
Vertical spacing for page layout can now be tuned for each system
individually (feature sponsored by Trevor Baca and Nicolas
Sceaux). The slope of a stem-tremolo may be set manually (feature
sponsored by Sven Axelsson). There are a number of cleanups in the
handling and representation of systems, among other features and bug
fixes. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.10 is out - @emph{September 13, 2005}
This version adds proper support for "laissez vibrer ties", just enter
\laissezVibrer after a chord. This feature was sponsored by Henrik
Frisk. It also has a couple of minor
bugfixes. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.9 is out - @emph{September 5, 2005}
This is mainly a bugfix
release. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading Traduction française du site - @emph{September 03, 2005}
Grâce à @uref{about/thanks#website,l'équipe des traducteurs},
de nombreuses pages du site sont maintenant disponibles en français,
notamment l'@uref{about/automated-engraving/index.fr.html,essai sur
la gravure musicale}.
@newsEnd


@newsItem
@subheading LilyPond 2.7.8 is out - @emph{August 29, 2005}
This release has support for right-to-left text formatting in markup
commands (sponsored by Aaron Mehl). In addition, it fixes a great
number of bugs, among others, support for writing MIDI files.  (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading Article in `De Standaard' - @emph{August 20, 2005}
The Belgian newspaper @emph{De Standaard} investigates what drives
Free Software authors in an article titled @emph{Delen van KENNIS
zonder WINSTBEJAG} (Non-profit sharing of
knowledge) using LilyPond as an example.  This marks
LilyPond's first appearance in mainstream printed press.
@newsEnd


@newsItem
@subheading LilyPond 2.7.7 is out - @emph{August 22, 2005}
This release has a rewriting of tie formatting which was sponsored by
Bertalan Fodor, Jay Hamilton, Kieren MacMillan, Steve Doonan, Trevor
Baca, and Vicente Solsona Dellá. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.6 is out - @emph{August 19, 2005}
This release adds support for numbered percent repeats, a feature
sponsored by Yoshinobu Ishizaki. It also has bugfixes for clashes
between slurs and symbols, like fingers dynamic
signs. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.5 is out - @emph{August 16, 2005}
Lily 2.7.5 has a large number of bugfixes, among others, in slur
formatting, spacing, rest collisions and tuplet bracket
formatting. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.4 is out - @emph{August 7, 2005}
LilyPond 2.7.4 has support for proportional notation, where the space
for a note is proportional to the time it
takes. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.6.3 is out - @emph{August 4, 2005}
This release fixes a memory corruption bug that was triggered by
\override'ing Beam settings. (@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.6.2 is out - @emph{August 2, 2005}
This release has a few bugfixes, among them: the autopackage will run
in more platforms, LilyPond will be much quicker for large
lilypond-book documents, and the up and down Fa note heads for shaped
heads have been
swapped. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.3 is out - @emph{July 25, 2005}
LilyPond 2.7.3 has improvements in performance which should result in
faster operations (15 to 20 percent). It also contains the new
"\displayLilyMusic" function.
(@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7.2 is out - @emph{July 21, 2005}
LilyPond 2.7.2 has support for suggested accidentals for musica
ficta notation, easy entry for lyric melismata and improvements for
quicker entry of scores.  (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.6 released - @emph{June 27, 2005}
Version 2.6 is the latest stable release of LilyPond.
It now
installs in a snap on Windows, MacOS X, and any version of Linux (x86).
@strong{Get up and running in minutes!} Pango text formatting lets you
print @strong{Unicode } lyrics in your favorite script and font.  Create
@strong{SVG} files, and edit them in Inkscape.
(@miscLink{announce-v2.6,Announcement}, @ref{Old downloads}, @ref{Changes})
@newsEnd


@newsItem
@subheading LilyPond 2.7.1 is out - @emph{July 20, 2005}
LilyPond 2.7.1 has no user-visible changes. However, due to
restructuring @qq{under the hood}, this version will be 10 to
20 % faster.  (@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.6.1 is out - @emph{July 11, 2005}
This version fixes a few minor bugs found in
2.6.0, and also works on DOS-based Windows versions.  (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading LilyPond 2.7 is out - @emph{July 9, 2005}
LilyPond 2.7.0 is out. It has support for paragraph text and
pitched trill notation. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading 2.5.31 released - @emph{June 22, 2005}
LilyPond 2.5.32 is now available for download (binaries for Fedora +
MacOS only). It has a few very minor bugfixes, and a rewrite of the
TTF embedding code, which should be a lot more robust now.
(@ref{Old downloads})
@newsEnd


@newsItem
@subheading Traduction du site de LilyPond - @emph{15 juin 2005}
@uref{about/thanks#website,L'équipe des traducteurs} vous présente
le site de LilyPond en français. Nous travaillons sur la traduction des
pages encore non traduites. Bon surf !
@newsEnd


@newsItem
@subheading 2.5.31 for Windows and MacOS - @emph{June 15, 2005}
2.5.31 is now available for both Windows and MacOS X. The Windows
version should now work with embedding TTF fonts, and the MacOS X has
better help functionality.
(@ref{Old downloads})
@newsEnd


@newsItem
@subheading 2.5.31 released - @emph{June 15, 2005}
This release has a few bugfixes. In the MacOS X version, ClickEdit has
been renamed to LilyPond, and you can now upgrade your files and
compile them directly from
LilyPond. (@ref{Old downloads})
@newsEnd


@newsItem
@subheading 2.5.30 released - @emph{June 10, 2005}
This is (hopefully) the last Release Candidate before 2.6. Give it a
good shake to find those last bugs! (@ref{Old downloads})
@newsEnd


@newsItem
@subheading 2.5.29 released - @emph{June 7, 2005}
In this release the documentation also has pictures. In addition, the
Mac version can also read native mac fonts (.dfonts and fonts in
resource forks). (@ref{Old downloads})
@newsEnd


@newsItem
@subheading 2.5.27 released - @emph{May 31, 2005}
It has a big bunch of minor bugfixes.  This is another release
candidate for version 2.6, which should be released within the next 2
weeks. Please send a bug report if you find a critical problem with this
release. (@ref{Old downloads})
@newsEnd


@newsItem
@subheading Windows and MacOS installers available - @emph{May 26, 2005}
There are now a native, standalone installers for Windows and
MacOS.  They also support PDF point & click. (@ref{Old downloads})
@newsEnd


@newsItem
@subheading 2.5.26 released - @emph{May 26, 2005}
This release has a couple of small bugfixes.
@newsEnd


@newsItem
@subheading 2.5.25 released - @emph{May 20, 2005}
This release has many small bugfixes and updates to the
documentation. (@ref{Old downloads})
@newsEnd


@newsItem
@subheading 2.5.24 released - @emph{May 12, 2005}
2.5.24 fixes a bunch of bugs; in particular, chord symbols (such as
slashed o) should now work on all platforms. This release has a new
feature: it is now possible to make staves appear in a different order
from the order that they were defined. (@ref{Old downloads})
@newsEnd


@newsItem
@subheading 2.5.23 released - @emph{May 6, 2005}
This release has a couple of small bugfixes, and a new feature. It is
now possible to start and stop the @code{StaffSymbol}, during a piece of
music, by doing @code{\stopStaff \startStaff}. This can be used to
produce Ossia staves. (@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading 2.5.22 released - @emph{May 3, 2005}
2.5.22 is a bugfix
release. The most visible improvement is in the PDF : this release
will produce smaller PDF files, with symbols that look better on
screen.
(@ref{Old downloads})
@newsEnd


@newsItem
@subheading April 25, 2005 - 2.5.21 released!
2.5.21 has more bugfixes. It also has support for "grid
lines", bar like vertical line, which are aligned with the notes. The
auto-beam engraver was rewritten, so it also works with irregular time
signatures like 5/8.
(@ref{Changes},
@ref{Old downloads})
@newsEnd


@newsItem
@subheading April 18, 2005
LilyPond 2.5.20 has lots of bugfixes, in particular, MIDI files of
multi-movement pieces don't overwrite each other.  Version 2.5.20 also
supports putting arrows on lines, such as glissandi.
More details are in the
the @ref{Changes}
file, or go straight to @ref{Old downloads}.
@newsEnd


@newsItem
@subheading April 15, 2005
LilyPond 2.5.19 was released. The command `\epsfile' allows inclusion
of EPS graphics into markup texts and the music function
`\musicDisplay' will display a music expression as indented
Scheme code. Take a look at
the @ref{Changes}
file and @ref{Old downloads}.
@newsEnd


@newsItem
@subheading April 6, 2005
2.5.18 is a bugfix release. It has many small cleanups in the
web-based documentation, and many small cleanups all over the
place. @ref{Old downloads}
@newsEnd


@newsItem
@subheading March 31, 2005
2.5.17 is out. This release features many small bugfixes. In addition,
it has support for string number notation for guitar. This feature was
sponsored by Gunther Strube. @ref{Old downloads}
@newsEnd


@newsItem
@subheading March 20, 2005
LilyPond 2.5.16 is out. This release fixes a few minor but irritating
errors. A Fedora Core 3 binary is also available.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading March 14, 2005
LilyPond 2.5.15 is out. This release has clean ups in the SVG output,
and now uses the LilyPond number font for time signatures.  It is
now possible to add text before and after music. This can be used to
add verses after a music. Take a look at the @ref{Changes}
file and @ref{Old downloads}!
@newsEnd


@newsItem
@subheading March 7, 2005
LilyPond 2.5.14 is out. It is now possible (and in fact, encouraged),
to build LilyPond either without the Kpathsea TeX library or with the
Kpathsea dynamically loaded, but only for the -btex backend.  This
means that packages do not have to depend on TeX anymore. With this,
the Windows download size will go down significantly. Take a look at
the @ref{Changes}
file and download @ref{Old downloads}!
@newsEnd


@newsItem
@subheading March 7, 2005
LilyPond 2.4.5 is out. This release backports the tieWaitForNote
feature and has support for tetex-3.0.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading February 28, 2005
LilyPond 2.5.13 is available for Fedora Core 3. You need to install
Ghostscript 8.15rc3. Unfortunately, this version of Ghostscript
lacks the IJS dynamic library, which means that it will conflict with
the gimp-print package. You may install it with --nodeps. Use at your
own risk.
@newsEnd


@newsItem
@subheading February 28, 2005
LilyPond 2.5.13 is out. This release has Point and click support for
PDF output. You can read more about it @uref{https://lilypond.org/doc/v2.5/Documentation/user/out-www/lilypond/Point-and-click.html,here}.
Take a look at the @ref{Changes}
file and download @ref{Old downloads}!
@newsEnd


@newsItem
@subheading February 26, 2005
The @uref{https://lsr.di.unimi.it/,LilyPond Snippet
Repository (LSR)} is a searchable database of LilyPond code
snippets.  You can add snippets too, so join the LSR project, and
contribute creative ideas for using LilyPond.
@newsEnd


@newsItem
@subheading February 21, 2005
LilyPond 2.5.12 is out. The big news is that this release supports
TrueType fonts. This means that it is now possible to use @strong{all}
fonts available via FontConfig. Also, arpeggios may be written out
using ties and individual objects may have colors!  Take a look at
the @ref{Changes}
file and @ref{Old downloads}!
@newsEnd


@newsItem
@subheading February 4, 2005
LilyPond 2.5.11 is out.  In this
release, foreign character sets are now supported in lilypond-book
too, and it is possible to put system separators between systems.
@ref{Old downloads}!
@newsEnd


@newsItem
@subheading January 31, 2005
LilyPond 2.5.10 is out. This release
sports as new EPS backend, based on the PS backend. This backend is
used in the new and improved lilypond-book script.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading January 26, 2005
LilyPond 2.5.9 is out. This release fixes a couple of annoying
bugs in the direct PS output for piano braces.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading January 16, 2005
LilyPond 2.5.8 is out.  This
release has many internal code cleanups. In addition,
accuracy of error reporting has been improved.
See the
@uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,
change log
} and @ref{Old downloads}!
@newsEnd


@newsItem
@subheading January 11, 2005
LilyPond 2.5.7 is out. This release has a completely usable
Pango integration for the PS backend. The default font is
Century Schoolbook from the PS font suite.  It also has
small updates to the tablature settings by Erlend Aasland,
assorted manual updates by Graham, and an overhaul of the
font code by Werner.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading January 02, 2005
LilyPond 2.5.6 was released. This is a "technology preview"
release, which means that it has all kinds of nifty
features, but is not actually usable for producing nicely
printed scores. For this reason, an RPM of this release was
not produced. The PS backend is now completely switched over
to Pango/FontConfig: for -f ps, LilyPond only accepts UTF8
input, all text fonts are loaded through Pango, the TeX
backend now offloads all metric computations to LaTeX, the
SVG and GNOME backends are broken, most probably.
@ref{Old downloads}
and check out the
changes in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading December 28, 2004
LilyPond 2.5.5 is out. It is the first one to link against
FontConfig and Pango, although it is only available in the "-f
ps" output. The default output format has been changed back TeX
while we stabilize the Pango/FontConfig integration.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading December 20, 2004
LilyPond 2.5.4 is out. This release has some major
brainsurgery in the font handling. As of now, LilyPond loads
the music fonts in OpenType font format using FreeType.
This has made a lot of things simpler, including font
handling for the GNOME backend and SVG backend.
@ref{Old downloads}
and check out the
changes in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading December 3, 2004
LilyPond 2.5.3 was released. A new script, `\espressivo' has
been added, for a combination of crescendo and decrescendo
on a single note. In markups, expressions stacked with
`\column', `\center-align', etc, are not grouped with `< ...
>' anymore, but with `@{ ... @}'. LilyPond will now avoid line
breaks that cause long texts to stick outside of the page
staff. Grace notes following a main note, used to be entered
by letting the grace notes follow a skip in a parallel
expression.
@ref{Old downloads}
and
check out the changes in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading November 26, 2004
LilyPond 2.5.2 was released. It has several goodies,
including solfa-notation (shaped noteheads), and an easier
mechanism for customizing title, footer and header
layout. Don't forget to rebuild the fonts, as they have been
changed to accomodate the solfa-notation.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading November 20, 2004
LilyPond 2.5.1 is out. This is an experimental release,
containing some proof-of-concept code for our graphical
layout editor. You can add and remove things from the file,
and the tweaks will still work, as long as the tweaked notes
remain in the place (i.e., start at the same time-wise and be
part of the same context). Further attractions are: the
gnome backend now also draws beams and slurs, updates to the
SVG backend, support for the lmodern font set for TeX,
various bugfixes.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading November 12, 2004
The LilyPond development is OPEN once again! The first
release of the 2.5 series has the following new Features:
Positioning of slurs can now be adjusted manually, Grace
notes are correctly quoted and formatted when using cue
notes, Cue notes can now be created with
@verbatim

\cueDuring #VOICE-NAME #DIRECTION { MUSIC }

@end verbatim
Stemlets (short stems over beamed rests) have been added.
In addition, Jan hacked together some highly experimental
code where you can use the mouse to drag and drop objects in
the -f gnome backend. These tweaks can be saved and are
applied to the PS and TeX output as well.
@ref{Old downloads}
and check out
the changes in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading November 11, 2004
LilyPond 2.4.2 is out. This release fixes a number of security
problems with --safe, and adds a lot of polishing fixes.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading November 4, 2004
LilyPond 2.4.1 is out. This release includes a number of small
fixes that were made to 2.4.0 last week.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading October 31, 2004
LilyPond 2.4.0 was just @miscLink{announce-v2.4,released!}
This new stable version has support for page-layout,
completely rewritten slur formatting and many other
improvements. Read about them in the @ref{Changes}
file.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading October 29, 2004
LilyPond 2.3.26 is out. This is another 2.4 release
candidate. This release fixes a number of minor bugs, and
some problems with the conversion scripts.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading October 29, 2004
2.3.25 is the final release candidate for LilyPond 2.4.
Werner has been overhauling the TeX macros and
lilypond-book. In addition, this release contains an
important fix for raggedbottom page-layout.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading October 27, 2004
LilyPond 2.3.24 is a further polished 2.4 release candidate.
This release has more improvements by Werner for the TeX
backend, and a bunch of other small fixes.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading October 24, 2004
LilyPond 2.3.23 has bugfixes in the documentation, lilypond-book and
--preview output. This release can be considered as a release
candidate for LilyPond 2.4.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading October 10, 2004
LilyPond 2.3.22 fixes a bunch more bugs, to make 2.4 a really
stable release.  In addition, it renames the \paper@{@} block to
\layout@{@}.  The \bookpaper@{@} block is now called
\paper@{@}.
@ref{Old downloads}
and
check out the changes in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading October 09, 2004
LilyPond 2.3.21 is out. It is a serious release candidate for
the next stable release LilyPond. This version has a cleanup
and some small formatting improvements of the slur
code.
@ref{Old downloads}
and check
out the changes in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading October 02, 2004
LilyPond 2.3.20 was released. It fixes the biggest problems
with encoding and the TeX backend. As a result, latin1
characters (like the german SS) show up correctly in the
output once again. Also it has the usual bugfixes and updates
in the documentation.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading September 29, 2004
The LilyPond development team will be present at the @uref{https://web.archive.org/web/20040811160307/http://www.nluug.nl/events/sane2004/bazaar/index.html,Free
Software Bazaar} of the NLUUG SANE 2004 conference today.  If you
are in the neighborhood, drop by for live contact with the Team or
just a friendly chat. Registration is not required to attend.
@newsEnd


@newsItem
@subheading September 26, 2004
LilyPond 2.3.19 is out. It's mainly a bugfix release.
@ref{Old downloads}
and check out the changes
in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading September 20, 2004
LilyPond 2.3.18 was released. It has further improvements in
the slur formatting, and a small syntax change: the mode
changing commands (`\chords', `\lyrics', etc.@:)  have been
renamed to `\chordmode', `\lyricmode', etc. The command
`\chords' is an abbreviation for \new ChordNames \chordmode
...  `\drums', `\lyrics', `\chords', `\figures' function
similarly.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading September 11, 2004
LilyPond 2.3.16 was released. It fixes a couple of annoying
bugs, and has an important addition in the slur-formatter. Slurs that
pass note heads much closer than the average distance get an extra
penalty. This fixes a lot of difficult slurring cases. See
input/regression/new-slur for some examples.
Please consider this release as a 3.0 pre-release so try to find as
many bugs as possible. A report including a small .ly example
can be filed at bug-lilypond@@gnu.org
In this case, a bug is defined as something that the current 2.3 does
worse than the latest 2.2 release.  We want to be sure that no output
will get uglier by upgrading to 3.0, so that once 3.0 is out, nothing
will hold users back in switching.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading September 10, 2004
LilyPond 2.3.15 was released. It fixes for some gaffes with
the new vertical spacing engine, has lots of documentation
updates, and has support for landscape output in the direct
postscript output. Also, the types of events quoted with
`\quote' can now be tuned with `quotedEventTypes'. By default,
only notes and rests end up in quotes.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading September 6, 2004
LilyPond 2.3.14 was released and has exciting features!
LilyPond will try to keep staves at the same distances across a
page, but it will stretch distances to prevent collisions; key
signature cancellations are now printed before the bar line;
different voices that all use "\quote" can now refer to each
other.
@ref{Old downloads}
and check out
the changes in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading August 29, 2004
LilyPond now has a Documentation
Editor, Graham Percival. From now on, he will oversee that
useful information flows from the mailiing list into the
manual. Also, if there are unclear sections in the manual,
let him know via one of the mailing lists.
As a start of his career, he worked to transform the
"Templates" section of the website into a readable and comprehensive
chapter of the user manual.
A lot of cheers for Graham!
@newsEnd


@newsItem
@subheading August 29, 2004
LilyPond 2.3.13 was released. The new slur code was
improved, scripts can be made to avoid slurs, by setting
inside-slur to #f. It is no longer necessary to instantiate
"up" and "down" staves separately when using
\autochange. Jurgen Reuter refreshed the logic around
mensural flags, so they are adjusted for staff lines once
again.
@ref{Old downloads}
and
check out the changes in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading August 24, 2004
LilyPond 2.2.6 fixes a few minor issues, among others, the
disappearing metronome mark.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading August 23, 2004
LilyPond 2.3.12 is out. This release has a lot of fixes and
a new feature: there is now support for putting two slurs on
chords, both above and below. This is switched on with the
`doubleSlurs' property.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading August 3, 2004
LilyPond 2.3.11 is out. This release basically is 2.3.10 with a few
annoying bugs fixed.
@ref{Old downloads}
and check out
the changes in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading August 1, 2004
LilyPond 2.3.10 is out. This release has a major clean-up of the
input/test/ directory. Many examples have been moved to the regression
test or manual, and the superfluous or outdated ones have been
removed. The directory has gone from 146 examples to 72 examples. That
means that we're halfway cleaning it out.  Incidentally, the manual
has gone from 200 to 220 pages. New features:
@itemize
@item
Running trills now have their own spanner and event. They are
started and stopped with \startTrillSpan and \stopTrillSpan
@item
There is a new markup command `\postscript' that takes a string
that is dumped as verbatim PostScript
@end itemize

@ref{Old downloads}
and check out
the changes in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading July 30, 2004
LilyPond 2.3.9 is out.  The important change is that lilypond
now once-again directly runs the binary. The old wrapper script has
been renamed to lilypond-latex.py, and should only be used for legacy
projects. The recommended route is either using lilypond directly
(with \book, you can have multiple movements within one document), or
to run lilypond-book with a LaTeX wrapper file.
This release also fixes a bunch of small errors.  I now consider
LilyPond feature complete for a 3.0 release.  Next on the TODO list is
updating the manual, and after that's done we can release 3.0. The
projected date for this to happen is in about a month.
@ref{Old downloads}
and check out
the changes in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading July 23, 2004
LilyPond 2.3.8 fixes a few minor bugs in the new slur code,
and has rewritten support for ledger lines. Now, in tight
situations, ledger lines will be shortened so they stay
separate.  This also required a cleanup of the Ambitus
implementation.
@ref{Old downloads}
and check out the changes in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading July 19, 2004
LilyPond 2.3.7 was released and has new exciting features!
The slur formatting has been rewritten. The new slur code
works similar to the Beam formatter: scores are assigned for
all esthetic components of a slur. A large number of
combinations for begin and end points is then tried out.
Slurs will now also take into account collisions with staff
lines, scripts (like staccato and accent) and accidentals. In
the LilyPond emacs mode, the `|' will now display the current
beat within the measure.
@ref{Old downloads}
and check out the changes in
the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading July 15, 2004
LilyPond 2.2.5 was released. It has a few bug fixes from
2.3.x.
@ref{Old downloads}
and check
out the changes in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading July 11, 2004
An introductory article on LilyPond appeared on @uref{http://www.linuxjournal.com/article.php?sid=7657&mode=thread&order=0,Linux
Journal}.
@newsEnd


@newsItem
@subheading July 5, 2004
LilyPond 2.3.6 was released.  This release has more updates
for the Fret diagram code (thanks, Carl!), fixes a bunch of
bugs, including a serious one that trashed a lot of beam
formatting, and was also present in the 2.2 series.
@ref{Old downloads}
and check out the changes
in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading July 5, 2004
LilyPond 2.2.4 was released. It is mainly a bug fix
release.
@ref{Old downloads}
and
check out the changes in the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}.
@newsEnd


@newsItem
@subheading June 25, 2004
LilyPond 2.3.5 has numerous small bugfixes and cleanups, and
features more work in the experimental GNOME output
module. Adventurous hackers can check the instructions at
scm/output-gnome.scm and try to run
buildscripts/guile-gnome.sh to see what the fuss is all about.
Carl Sorensen also provided us with more patches to the
fret-diagram output. Check out the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}
and
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading June 20, 2004
LilyPond 2.2.3 has a turkish translation and fixes a few minor
bugs that were reported over the past month. Check out the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog} for a full description and
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading June 13, 2004
LilyPond 2.3.4 further improves the output backends. As a
result, manual page-breaks, multiple output formats and putting
@code{\score} into markups now works.  Check out the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}
and
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading May 31, 2004
LilyPond 2.3.3 has many internal changes relating to the output
backend (PostScript) and page-layout. In addition, it contains a few
bugfixes for recently reported problems.  Check out the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}
and
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading May 31, 2004
LilyPond 2.2.2 is out.  It has a number of small bugfixes, so upgrade
if any of these errors concern you.  Check out the @uref{https://git.savannah.gnu.org/cgit/lilypond.git/plain/ChangeLog?id=abfdd3c36946e4c341b0abb0f1c6bbdbc12883c1,ChangeLog}
or head straight to the
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading May 26, 2004
LilyPond 2.3.2 is out. This release has a lot of internal
changes relating to page layout, but also sports experimental
fret-diagram code.  Check out the @ref{Changes} or head straight to the
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading May 9, 2004
LilyPond 2.3.1 is out. This release has many new and cool
features. Check out the @ref{Changes} or head straight to the
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading May 4, 2004
Help LilyPond get better, and join in on LilyPond
development!  This
@uref{devel/participating/call-for-help.html,call for
help} was posted on the mailing list a month ago, and we
are still looking for a Release Meister, Code Janitor,
Newsletter editor and a Writer for implementation
Documentation. Of course, any other help is also welcome!
@newsEnd


@newsItem
@subheading May 3, 2004
LilyPond 2.2.1 has been released. It fixes a handful of bugs.
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading April 17, 2004
LilyPond 2.2.0 is now available
on Windows, and should find its way to the Cygwin mirrors
soon.
@newsEnd


@newsItem
@subheading April 12, 2004
LilyPond 2.3.0 is the first release
in the 2.3 cycle.  The focus for 2.3 is page layout, so
instrumentalists can force parts to have page breaks at sane turning
points.  This release is @emph{experimental}; expect things to break!
More info in the @ref{Changes}.
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading April 8, 2004
A French article on the new LilyPond
release appeared on @uref{https://linuxfr.org/2004/04/08/15968.html,linuxfr.org}.
@newsEnd


@newsItem
@subheading April 8, 2004
Binaries for LilyPond 2.2.0 are available for
MacOS X, Slackware, Mandrake and Debian Woody.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading April 1, 2004
LilyPond 2.2.0 is out!  This new stable version has
completely revamped support for for orchestral score
formatting, cue notes, font size management, lyric formatting,
drum notation/playback and document integration. Read about it in
the @miscLink{announce-v2.2,announcement} or skip to the
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading March 31, 2004
LilyPond 2.1.37 has build fixes for Cygwin and SUSE,
bugfixes for part-combining and chord tremolos and even more
documentation polish.  This should be the final release
candidate; expect only regression bugs to be fixed before
2.2.
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading March 30, 2004
LilyPond 2.1.36 has many fixes in
the user manual.
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading March 28, 2004
LilyPond 2.1..35 fixes a slew of
bugs, and has the @code{raggedlast} option, which causes
paragraph like line breaking for scores. More info in the
@ref{Changes}.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading March 22, 2004
LilyPond 2.1.34 fixes minor bugs, and has more rewriting.
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading March 21, 2004
LilyPond 2.1.33 fixes a serious bug, and a few other
irritations.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading March 20, 2004
LilyPond 2.1.32 has more rewriting
in the user manual. There is also an experimental
implementation of optimal page breaking (Postscript backend
only).
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading March 15, 2004
LilyPond 2.1.31 is out.  It has fixes the alignment of bass
figures and spurious dynamic warnings in MIDI. New
attractions include rewritten font-selection routines.  See
the
@ref{Changes} and
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading March 14, 2004
The
@uref{https://linuxmusician.com/index.php?option=articles&task=viewarticle&artid=10,linuxmusician.com interview} made the
@uref{http://slashdot.org/article.pl?sid=04/03/13/2054227&mode=thread&tid=141&tid=188,slashdot
frontpage!}.
@newsEnd


@newsItem
@subheading March 11, 2004
@uref{https://linuxmusician.com,linuxmusician.com} is
running an
@uref{https://linuxmusician.com/index.php?option=articles&task=viewarticle&artid=10,interview}
with Han-Wen Nienhuys and Jan Nieuwenhuizen, the main
authors of LilyPond.
@newsEnd


@newsItem
@subheading March 11, 2004
LilyPond 2.1.30 has editorial fixes for the manual, and
experimental support for page layout in the PostScript
backend.  See the
@ref{Changes} and
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading March 9, 2004
LilyPond 2.1.29 fixes a couple of MIDI bugs, and has
experimental support for producing titles with
@code{markup}.
@newsEnd


@newsItem
@subheading February 29, 2004
In LilyPond 2.1.28 Scheme property functions may be used
argument to @code{set!}.  In addition, parts of the manual
have been proofread and corrected in this release.  See the
@ref{Changes} and
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading February 24, 2004
LilyPond 2.1.27 takes into account instrument transpositions
when quoting other voices. This release also fixes a number
of lyrics related bugs. See the
@ref{Changes} and
@ref{Old downloads}.
@newsEnd


@newsItem
@subheading February 23, 2004
LilyPond 2.1.26 has a new, experimental feature for quoting
other voices in instrumental parts. This can be used to
produce cue notes.  More information in the
@ref{Changes}.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading February 18, 2004
LilyPond 2.1.25 fixes many bugs, and changes the conventions
for altering accidental rules.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading February 16, 2004
LilyPond 2.1.24 has a big
internal rewrite. One of its practical consequences is that
@code{\with} now also works with @code{Score}
contexts. Further 2.1.23, which was not announced here,
fixes a few bugs caused by the change of @code{\property}
syntax and has updates in the Program Reference document.
More information in the
@ref{Changes}.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading February 13, 2004
LilyPond 2.1.22 has a
simplification of the @code{\property} syntax: it is
shorter and more consistent now.  More information in the
@ref{Changes}.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading February 12, 2004
In LilyPond 2.1.21, output
tweaks can be done at multiple levels of the context
hierarchy.  In addition, it has a bunch of bugfixes,
improvements in the documentation.  More information in the
@ref{Changes}.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading February 9, 2004
LilyPond 2.1.20  has MIDI
output for drums.  It also sports a completely rewritten
lilypond-book script, which is cleaner, shorter, and faster.
It also has a large number of bugfixes.
More information in the
@ref{Changes}.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading February 5, 2004
LilyPond 2.1.19 has rewritten
support for drum notation. This release also makes some
long-standing cleanups: the removal of @code{Thread} (all
functionality is now moved into @code{Voice}) and Lyrics
(functionality moved to @code{LyricsVoice})  context.
More information in the
@ref{Changes}.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading February 4, 2004
LilyPond 2.1.18 is out. This
release has the new part-combiner installed by default, and a
similar implementation of @code{autochange}.  More information
in the
@ref{Changes}.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading February 2, 2004
LilyPond 2.1.17 is out. It adds texts
(solo, a due) for the part combiner. It also reinstates the
@option{--safe} option which prevents havoc by Scheme exploits.  More
information in the
@ref{Changes}.
@newsEnd


@newsItem
@subheading January 28, 2004
LilyPond 2.1.16 is out; its main feature
is that it fixes the autobeams gaffe of 2.1.15.  The part-combiner
has been tested successfully on larger pieces. In the near future,
expect more part-combining eye-candy.
More information in
the
@ref{Changes}.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading January 26, 2004
LilyPond 2.1.15 further improves the part-combiner, and fixes many
bugs, among others in pedal brackets and finger positioning.
More information in
the
@ref{Changes}. @ref{Old downloads}
@newsEnd


@newsItem
@subheading January 21, 2004
LilyPond 2.1.14
has the first release of the new part combiner. If you have scores that
use part-combining, please consider giving it a test-run. In addition
many bugs relating to mixed staff sizes have been fixed.
More information in
the
@ref{Changes}. @ref{Old downloads}
@newsEnd


@newsItem
@subheading January 20, 2004
The lilypond.org domain has been moved to a new server. This
will result in better connectivity and more bandwidth.  Due
to security concerns, the new server  does not offer FTP
access, but only HTTP downloads.
@newsEnd


@newsItem
@subheading January 20, 2004
LilyPond 2.1.13  fixes a small but
nasty bug in side-positioning placement, and some bugs in
tuplet, tie and accidental formatting. This release contains
rudimentary work on a new part-combiner.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading January 19, 2004
LilyPond 2.1.12 fixes many bugs
and improves formatting of ottava brackets.  More information in
the
@ref{Changes}. @ref{Old downloads}
@newsEnd


@newsItem
@subheading January 18, 2004
LilyPond 2.1.11 is now also
available for Windows!  For downloading, go
@uref{https://web.archive.org/web/20040204191423/http://www.inf.bme.hu/~berti/lilypond/,here}.
@newsEnd


@newsItem
@subheading January 17, 2004
In 2.1.11, the mechanism for
setting staff size and page is much simplified. In addition
there are improvements in the notehead shape, and there is
balloon help!
More information in the
@ref{Changes}. @ref{Old downloads}
@newsEnd


@newsItem
@subheading January 16, 2004
LilyPond 2.1.10 has a load of
bugfixes and a shorter syntax for octave checks. More
information in the
@ref{Changes}. @ref{Old downloads}
@newsEnd


@newsItem
@subheading January 13, 2004
LilyPond 2.1.9 has a new mechanism
for adding lyrics to melodies. It is now possible to have
different melismatic variations for each stanza.  More
information in the
@ref{Changes}. @ref{Old downloads}
@newsEnd


@newsItem
@subheading January 9, 2004
LilyPond 2.1.8 has an important new
feature: it is now possible to use @code{\property} to tune
the appearance of spanning objects like @code{StaffSymbol} and
@code{SystemStartBrace}.  In addition, contexts may be
modified with @code{\remove} and @code{\consists} for
individual music expressions.
More information in the
@ref{Changes}. @ref{Old downloads}
@newsEnd


@newsItem
@subheading January 7, 2004
An update to the stable branch,
version 2.0.2, was released today. It contains a couple of
minor bugfixes.  @ref{Old downloads}
@newsEnd


@newsItem
@subheading January 6, 2004
LilyPond 2.1.7 continues to
improve the layout of the Schubert test piece; this release
focuses on dot placement and multi measure rests centering.
More information in the
@ref{Changes} and download @uref{install/#2.1,here}.
@newsEnd


@newsItem
@subheading January 4, 2004
LilyPond 2.1.6 continues to improve the layout of  lyrics.  More
information in the
@uref{https://lilypond.org/doc/v2.1/Documentation/topdocs/out-www/NEWS.html,release
notes} and download @uref{install/#2.1,here}.
@newsEnd


@newsItem
@subheading January 2, 2004
In LilyPond 2.1.5, the lyric alignment is completely revamped,
and now matches my Edition Peters version of the Schubert song
Sängers Morgen.  More information in the @ref{Changes} and
download @uref{install/#2.1,here}.
@newsEnd


@newsItem
@subheading December 30, 2003
LilyPond 2.1.4 is released. Font shapes and line thickness
are now truly different for different staff sizes, thus lending
an engraved look to scores printed in smaller type too. See the
@ref{Changes} and download @uref{install/#2.1,here}.
@newsEnd


@newsItem
@subheading December 23, 2003
LilyPond 2.1.3 released.
Interpreting and formatting is now done while parsing the
file. This allows for Scheme manipulation of music, and could
be used to implement experimental MusicXML output (volunteers
to implement this are welcome!)  See the
@ref{Changes} and download @uref{install/#2.1,here}.
@newsEnd


@newsItem
@subheading December 17, 2003
LilyPond 2.1.2 released. This
release has a new mechanism for setting font sizes, which
combines different font design sizes and continuous font
scaling. See the
@ref{Changes} and download @uref{install/#2.1,here}.
@newsEnd


@newsItem
@subheading December 16, 2003
LilyPond 2.1.1 released. This
release wraps together all the small fixes made during
Han-Wen's absence. See the
@ref{Changes} and download @uref{install/#2.1,here}.
@newsEnd


@newsItem
@subheading October 11, 2003
LilyPond 2.1.0 released. See the
@ref{Changes} and
download @uref{install/#2.1,here}.
@newsEnd


@newsItem
@subheading October 11, 2003
LilyPond 2.0.1  binaries for Mandrake 9.1
available from
@uref{https://web.archive.org/web/20031006165051/http://rpm.nyvalls.se/sound9.1.html,here}
thanks to Heikki Junes.
@newsEnd


@newsItem
@subheading October 9, 2003
LilyPond 2.0.1  binaries for Slackware 9
available from @uref{install/#2.0,here},
thanks to Ricardo Hoffman.
@newsEnd


@newsItem
@subheading October 5, 2003
LilyPond 2.0.1 binaries are available for Macos X, many thanks to
Matthias Neeracher.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading October 4, 2003
LilyPond 2.0.1 binaries are available for Windows (Cygwin
version 1.5).
@ref{Old downloads}.  Thanks to Bertalan
Fodor, our new Cygwin maintainer!
@newsEnd


@newsItem
@subheading September 29, 2003
LilyPond 2.0.1 is released. It
contains minor bugfixes.
See the @ref{Changes}
or download @uref{install/#2.0,here} directly.
@newsEnd


@newsItem
@subheading September 27, 2003
PlanetCCRMA has been updated to include LilyPond 2.0. Go
@uref{https://ccrma.stanford.edu/planetccrma/software/soundapps.html#SECTION000621700000000000000,
here} to download.  Thanks to Fernando Pablo
Lopez-Lezcano!
@newsEnd


@newsItem
@subheading September 24, 2003
LilyPond 2.0.0 is released. The
focus of this release is cleanups of the syntax: entering music is
now much easier and more efficient. Read the announcement
@miscLink{announce-v2.0,here}, or go to the
@uref{install/#2.0,download page} directly.
@newsEnd


@newsItem
@subheading September 24, 2003
LilyPond 1.9.10 is released. This is
the final LilyPond 2.0 release candidate. Check
the @ref{Changes} and
download @uref{install/,here}.
@newsEnd


@newsItem
@subheading September 23, 2003
LilyPond 1.9.9 is released. This is
the second LilyPond 2.0 prerelease. Check
the @ref{Changes} and
download @uref{install/,here}.
@newsEnd


@newsItem
@subheading September 19, 2003
LilyPond 1.9.8 is released. This is
the first LilyPond 2.0 prerelease. Check
the @ref{Changes} and
download @uref{install/,here}.
@newsEnd


@newsItem
@subheading September 17, 2003
LilyPond 1.9.7 is released. LilyPond
now has support for quarter tone accidentals!
@ref{Old downloads}
@newsEnd


@newsItem
@subheading September 16, 2003
LilyPond 1.9.6 is released.
It has a lot of minor fixes and updates.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading September 10, 2003
LilyPond 1.9.5 is released.
With this release, the 1.9 branch is feature
complete. After some stabilization and documentation work, 2.0
will be available in a few weeks.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading September 9, 2003
LilyPond 1.8.2 is released. This
release fixes a couple of minor bugs.
@ref{Old downloads}
@newsEnd


@newsItem
@subheading September 7, 2003
LilyPond 1.8 binaries are available
for Windows (Cygwin version 1.5).
@ref{Old downloads}
@newsEnd


@newsItem
@subheading August 31, 2003
LilyPond 1.9.4 is released.
@emph{This is an experimental release}: read the
@uref{https://lists.gnu.org/archive/html/lilypond-devel/2003-08/msg00133.html,announcement}
before trying.
@newsEnd


@newsItem
@subheading August 31, 2003
LilyPond 1.8 binaries for slackware
available. Get them @uref{install/,here}.
@newsEnd


@newsItem
@subheading August 31, 2003
LilyPond 1.9.3 is released.  This
release supports tagging for music version control, and has better
fingering placement flexibility.  Read the
@ref{Changes} and get it @uref{download#1.9,here}.
@newsEnd


@newsItem
@subheading August 28, 2003
LilyPond 1.9.2 is released. Read the
@ref{Changes} and get it
@uref{download#1.9,here}.
@newsEnd


@newsItem
@subheading August 26, 2003
LilyPond 1.9.1 is released. Read the
@ref{Changes} and get it
@uref{download#1.9,here}.
@newsEnd


@newsItem
@subheading August 25, 2003
The  LilyPond 1.9 development release is available. Read the
@ref{Changes} and get it
@uref{download#1.9,here}.
@newsEnd


@newsItem
@subheading August 25, 2003
Mandrake 9.1 RPMS available, get them
@uref{https://web.archive.org/web/20031006165051/http://rpm.nyvalls.se/sound9.1.html,here}.
@newsEnd


@newsItem
@subheading August 21, 2003
LilyPond 1.8.1 was released. Get it @uref{install/,here}, or
read the @ref{Changes}.
@newsEnd


@newsItem
@subheading August 18, 2003
PlanetCCRMA (eg. RedHat 8 and 9)
has been updated to 1.8.
Download @uref{https://ccrma.stanford.edu/planetccrma/software/soundapps.html#SECTION000621700000000000000,here.}
@newsEnd


@newsItem
@subheading August 7, 2003
LilyPond 1.8 is released.  Read
@ref{Changes} and get it @uref{install/,here}.
@newsEnd


@newsItem
@subheading August 7, 2003
New website went live!
@newsEnd


@newsItem
@subheading August 6, 2003
Announced new website.
@newsEnd


@newsItem
@subheading August 1, 2003
LilyPond 1.7.30 released.
@newsEnd


@newsItem
@subheading July 30, 2003
Website: present @uref{about/automated-engraving/index.html,treatise}
about music engraving, music printing software, and LilyPond's
unique faculties.
@newsEnd


@newsItem
@subheading July 29, 2003
1.7.29 - release candidate 4 has been released.  Packages for
Red Hat, Debian, Cygwin are @uref{install/,available}.
@newsEnd
